get file = 'hh.sav'.

compute sampled = 1.

recode HH9 (1,2,3,6 = 1) (else = 0) into occupied.

recode HH9 (1 = 1) (else = 0) into complete.

compute total = 1.
variable label total "Total".
value label total 1 "".

aggregate outfile = 'tmp1.sav'
  /break   = HH6
  /hhsamp  = sum(sampled)
  /hhoccup = sum(occupied)
  /hhcomp  = sum(complete)
  /women   = sum(HH12)
  /cwomen  = sum(HH13)
  /kids    = sum(HH14)
  /ckids   = sum(HH15).

aggregate outfile = 'tmp4.sav'
  /break   = HH6A
  /hhsamp  = sum(sampled)
  /hhoccup = sum(occupied)
  /hhcomp  = sum(complete)
  /women   = sum(HH12)
  /cwomen  = sum(HH13)
  /kids    = sum(HH14)
  /ckids   = sum(HH15).

aggregate outfile = 'tmp2.sav'
  /break   = HH7
  /hhsamp  = sum(sampled)
  /hhoccup = sum(occupied)
  /hhcomp  = sum(complete)
  /women   = sum(HH12)
  /cwomen  = sum(HH13)
  /kids    = sum(HH14)
  /ckids   = sum(HH15).

aggregate outfile = 'tmp3.sav'
  /break   = total
  /hhsamp  = sum(sampled)
  /hhoccup = sum(occupied)
  /hhcomp  = sum(complete)
  /women   = sum(HH12)
  /cwomen  = sum(HH13)
  /kids    = sum(HH14)
  /ckids   = sum(HH15).

get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'
  /file = 'tmp3.sav'
  /file = 'tmp4.sav'.

variable label
  hhsamp   "Mnages slectionns"
  /hhoccup "Mnages occups"
  /hhcomp  "Mnages enquts" 
  /women   "Femmes ligibles"
  /cwomen  "Femmes enqutes"
  /kids    "Enfants de moins 5 ans ligibles"
  /ckids   "Mres/Pce".

compute hhrr = (hhcomp/hhoccup)*100.
variable label hhrr "Taux de rponse".

compute wmrr = (cwomen/women)*100.
variable label wmrr "Taux de rponse".

compute orw = (hhrr*wmrr)/100.
variable label orw "Taux de rponse global".

compute chrr = (ckids/kids)*100.
variable label chrr "Taux de rponse".

compute orc = (hhrr*chrr)/100.
variable label orc "Taux de rponse global".

tables
  /format = zero
  /observation = hhsamp hhoccup hhcomp hhrr women cwomen wmrr orw kids ckids chrr orc
  /table = hhsamp + hhoccup + hhcomp + hhrr + women + cwomen + wmrr + orw + kids + ckids + chrr + orc BY HH6A  +HH6  + HH7 + total
  /statistics
    maximum(hhsamp '' (f7.0))
    maximum(hhoccup '' (f7.0))
    maximum(hhcomp '' (f7.0))
    maximum(hhrr '' (f7.1))
    maximum(women '' (f7.0))
    maximum(cwomen'' (f7.0))
    maximum(wmrr '' (f7.1))
    maximum(orw '' (f7.1))
    maximum(kids '' (f7.0))
    maximum(ckids '' (f7.0))
    maximum(chrr '' (f7.1))
    maximum(orc '' (f7.1))
  /title=
"Tableau HH.1: Nombre de mnages, de Femmes de 15-49 ans et d'enfants de moins de cinq ans" +
		"et Taux de rponse, par milieu de rsidence et par rgion, Cte d'Ivoire, 2006" .

*new file.

*delete working files.
*erase file = 'tmp1.sav'.
*erase file = 'tmp2.sav'.
*erase file = 'tmp3.sav'.
