get file = 'wm.sav'.

select if (WM7 = 1).
weight by wmweight.

select if (CM12 = "Y").

* set random number seed.
set seed = 1003.

* calculate months since last birth IF last birth in last two years.
do if (CM11Y < 9996 and CM11M < 96).
+ compute wdolb = (CM11Y - 1900)*12 + CM11M.
+ if (cmcdoiw - wdolb = 24) wdolb = wdolb + 1 .
else if (CM11Y < 9996).
+ compute udolb = (CM11Y - 1900)*12 + 12.
+ compute ldolb = (CM11Y - 1900)*12 + 1.
+ if (cmcdoiw - ldolb >= 24) ldolb = cmcdoiw - 23.
+ compute wdolb = trunc(rv.uniform(ldolb,udolb)).
end if.
compute mslbrth = cmcdoiw - wdolb.
variable label mslbrth "Nombre de mois depuis la dernire naissance".
variable label wdolb "Date of last birth (CMC)".

*create a recoded months variable since last birth.
recode mslbrth (0 thru 5 = 1) (6 thru 11 = 2) (12 thru 23 = 3) into mslbrthr.
variable label mslbrthr "Nombre de mois depuis la dernire naissance".
value label mslbrthr
  1 "< 6 mois"
  2 "6-11 mois"
  3 "12-23 mois".

compute w1hour = 0.
if ((MN13U = 1 and MN13N = 0) or MN13U  = 0) w1hour = 100.
variable label w1hour "Pourcentage de femmes ayant commenc  allaiter moins d'une heure aprs la naissance*".

compute w1day = 0.
if (MN13U = 0 or  MN13U = 1) w1day = 100.
variable label w1day "Pourcentage de femmes ayant commenc  allaiter moins d'1 jour aprs la naissance**".

compute total = 1.
value label total 1 "".
variable label total "Nombre de femmes ayant eu une naissance vivante au cours des deux annes prcdent l'enqute".

tables
  /format = zero
  /observation = w1hour w1day 
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + HH6A + mslbrthr + melevel + wlthind5 + hc1cee + tot1 
		by w1hour + w1day + total
  /statistics
    mean(w1hour (f5.1) '')
    mean(w1day (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau NU.2: Pourcentge de femmes de 15-49 ans ayant eu une naissance vivante au cours des deux annes prcdant l'enqute et qui ont allait " +
                        "leur bb au moins une heure aprs la naissance et au moins un jour aprs la naissance, Cte d'Ivoire, 2006"
  /caption
  	"* MICS indicateur 45".

new file.
