get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

recode MN1 (1 = 100) (else = 0) into vitayes.
variable label vitayes "A reu un supplment en vitamine A*".

recode MN1 (8,9 = 100) (else = 0) into vitadk.
variable label vitadk "Pas sre d'avoir reu  de la vitamine A".

compute total = 1.
variable label total "".
value label total 1 "Nombre de femmes ages de 15-49 ans".

tables
  /format = zero
  /observation = vitayes vitadk
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 by 
		vitayes + vitadk + total
  /statistics
    mean(vitayes (f5.1) '')
    mean(vitadk (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau NU.7: Pourcentage de femmes de 15-49 ans ayant eu une naissance vivante au cours des deux annes prcdant l'enqute, " +
                        "qui ont reu une bonne dose  de Vitamine A avant que l'enfant n'ait 8 semaines, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 43".

new file.
