get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

compute weighed = 0.
do if (MN11 < 9.996).
+ compute weighed = 1.
+ compute less2500 = 0.
+ if (MN11 < 2.500) less2500 = 1.
+ compute w2500 = 0.
+ if (MN11 = 2.500) w2500 = 1.
end if.
variable label weighed "Nombre d'enfants pess  la naissance".
variable label less2500 "Nombre de naissance pesant moins de 2500 grammes".
variable label w2500 "Nombre de naissance pesant exactement 2500 grammes".

compute births = 1.
variable label births "Nombre total de naissances vivantes".

recode MN9 (8=9).
value label MN9
 1 "trs gros"
 2 "plus gros que la moyenne"
 3 "moyenne"
 4 "plus petit que la moyenne"
 5 "trs petit"
 9 "Nsp/Manquant".

aggregate outfile = 'tmp.sav'
  /break MN9
  /tweighed = sum(weighed)
  /t2500 = sum(less2500)
  /we2500 = sum(w2500)
  /tbirths = sum(births).

get file = 'tmp.sav'.

variable label tweighed "Nombre d'enfants pess  la naissance".
variable label t2500 "Nombre de naissance pesant moins de 2500 grammes".
variable label we2500 "Nombre de naissance pesant exactement 2500 grammes".
variable label tbirths "Nombre total de naissances vivantes".

compute tot2500 = t2500 + (we2500*0.25).
variable label tot2500 "Adjusted number of births < 2500 g".

if (tweighed > 0) prop2500 = tot2500/tweighed.
variable label prop2500 "Proportion de naissance du poids < 2500 g".

compute est2500 = prop2500*tbirths.
variable label est2500 "Nombre estim de naissances des poids  < 2500 g".

if (sysmis(t2500)) t2500 = 0.
if (sysmis(prop2500)) prop2500 = 0.
if (sysmis(est2500)) est2500 = 0.
if (sysmis(we2500)) we2500 = 0.
if (sysmis(tot2500)) tot2500 = 0.

sort cases by MN9

save outfile = 'tmp2.sav'.

* General Tables.
tables
  /format zero
  /observation= tweighed t2500 we2500 prop2500 tbirths est2500
  /ftotal=tot1 "Total"
  /table=mn9 + tot1  by tweighed + t2500 + we2500 + prop2500 + tbirths + est2500
  /statistics
  sum( tweighed '' (f7.1))
  sum( t2500 '' (f7.1))
  sum( we2500 '' (f7.1))
  sum( prop2500 '' (f7.3))
  sum( tbirths '' (f7.1))
  sum( est2500 '' (f7.1))
  /title "Estimation de la proportion d'enfants avec un faible poids  la naissance".

get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

recode MN9 (8=9).
value label MN9
 1 "trs gros"
 2 "plus gros que la moyenne"
 3 "moyenne"
 4 "plus petit que la moyenne"
 5 "trs petit"
 9 "Nsp/Manquant".
sort cases by MN9.

match files
  /file = *
  /table = 'tmp2.sav'
  /by MN9.

compute lowb = prop2500 * 100.
variable label lowb "Pourcentage des naissances vivantes inferieur a  2500 grammes*".

compute weighed = 0.
if ( MN11 < 9.996) weighed = 100.
variable label weighed "Pourcentage des naissances vivantes peses  la naissance**".

compute births = 1.
value label births 1 "".
variable label births "Nombre de naissances vivantes".

recode MN11 (9.996 thru 9.999 = sysmis).

tables
  /format = zero
  /observation = weighed lowb
  /ftotal = tot1 "Total"
  /table =  HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1
		by lowb + weighed + births
  /statistics
    mean(lowb (f7.1) '')
    mean(weighed (f7.1) '')
    count(births (f5.0) '')
  /title
    "Tableau NU.8 : Pourcentage des naissances vivantes au cours des deux annes prcdant l'enqute " + 
                        "dont le poids tait en dessous de 2500 grammes  la naissance, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 9"
		"** MICS Indicateur 10".
 
new file.

*delete working files.
erase file = 'tmp.sav'.
erase file = 'tmp2.sav'.
