get file = 'WM.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

compute total = 1.
value label total 1 "".
variable label total "Nombre de mres".

do if (TT7Y < 9996 and TT7M < 96).
+ compute dolt = (TT7Y - 1900)*12 + TT7M.
+ compute yslt = trunc((cmcdoiw - dolt)/12).
else if (TT7Y < 9996).
+ compute dolt = (TT7Y - 1900)*12 + 6.
+ compute yslt = trunc((cmcdoiw - dolt)/12).
else if (TT8 <= 19).
+ compute yslt = TT8.
else.
+ compute yslt = 99.
end if.
missing values yslt (99).

compute twocr = 0.
if (TT3 >= 2 and TT3 <= 19) twocr = 100.
variable label twocr "A reu au moins 2 doses durant la grossesse".

compute two3y = 0.
do if (twocr = 0).
+ if (TT3 = 1 and TT6 >= 1) two3y = 100.
+ if (TT6 >= 2 and TT6 <= 19 and yslt < 3) two3y = 100.
end if.
variable label two3y "A reu au moins 2 doses dans les trois prcdantes annes".

compute three5y = 0.
do if (twocr = 0 and two3y = 0).
+ if (TT6 >= 3 and TT6 <= 19 and yslt < 5 ) three5y = 100.
end if.
variable label three5y "A reu au moins 3 doses dans les 5 prcdantes annes".

compute four10y = 0.
do if (twocr = 0 and two3y = 0 and three5y = 0).
+ if (TT6 >= 4 and TT6 <= 19 and yslt < 10) four10y = 100.
end if.
variable label four10y "A reu au moins 4 doses dans les 10 prcdantes annes".

compute five = 0.
do if (twocr = 0 and two3y = 0 and three5y = 0 and four10y = 0).
+ if (TT6 >= 5 and TT6 <= 19) five = 100.
end if.
variable label five "A recu au moins 5 doses dans sa vie".

compute protect = 0.
if (twocr = 100 or two3y = 100 or three5y = 100 or four10y = 100 or
	five = 100) protect = 100.
variable label protect "Protge contre le ttanos*".

tables
  /format = zero
  /observation = twocr two3y three5y four10y five protect
  /ftotal tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1
		by twocr + two3y + three5y + four10y + five + protect + total
  /statistics
    mean(twocr (f5.1) '')
    mean(two3y (f5.1) '')
    mean(three5y (f5.1) '')
    mean(four10y (f5.1) '')
    mean(five (f5.1) '')
    mean(protect (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau CH.3: Pourcentage des mres ayant eu une naissance dans les 12 derniers mois et ayant bnficies de la protection prnatale contre le ttanos, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 32".

new file.
