get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Nombre d'enfants de 0-59 mois".

* diarrhoea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable label diarrhea "A eu la diarrhe dans les 2 dernires semaines".

do if (CA1 = 1).
+ recode CA2A (1 = 100) (else = 0) into orspack.
+ recode CA2B (1 = 100) (else = 0) into recom.
+ recode CA2C (1 = 100) (else = 0) into prepack.
+ compute notreat = 0.
+ if (orspack = 0 and recom = 0 and prepack = 0) notreat = 100.
+ compute ortuse = 0.
+ if (orspack = 100 or recom = 100 or prepack = 100) ortuse = 100.
+ compute dtotal = 1.
end if.

variable label orspack "Liquide SRO prepar".
variable label recom "Liquide Recommand fait  la maison".
variable label prepack "Liquide SRO prembal".
variable label notreat "Pas de traitement".
variable label ortuse "Taux d'utilisation Autres Rhydratation orale *".
value label dtotal 1 "".
variable label dtotal "Nombre d'enfants de 0-59 mois avec diarrhe".

tables
  /format = zero
  /observation diarrhea orspack recom prepack notreat ortuse 
  /ftotal tot1 "Total"
  /table = HL4 + HH7 + HH6 + HH6A + cage_6 + melevel + wlthind5 + hc1cee + tot1 by
    diarrhea + total + orspack + recom + prepack + notreat + ortuse + dtotal
  /statistics
    mean(diarrhea (f5.1) '')
    count(total (f5.0) '')
    mean(orspack (f5.1) '')
    mean(recom (f5.1) '')
    mean(prepack (f5.1) '')
    mean(notreat (f5.1) '')
    mean(ortuse (f5.1) '')
    count(dtotal (f5.0) '')
  /title
    "Tableau CH.4: Pourcentage d'enfants gs de 0-59 mois ayant eu la diarrhe les deux dernires semaines et ayant bnfici " + 
                        "d'un traitement par rhydratation orale d'une solution, Cte d'Ivoire, 2006"
   /caption
    "* MICS Indicateur 33".

new file.
