get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Nombre d'enfants de 0-59 mois".

* diarrhoea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable label diarrhea "A eu la diarrhe dans les 2 dernires semaines".

do if (CA1 = 1).
+ recode CA3 (3 = 100) (else = 0) into drnkmore.
+ recode CA3 (1,2 = 100) (else = 0) into drnkless.
+ recode CA4 (3,4,5 = 100) (else = 0) into ateokay.
+ recode CA4 (1,2 = 100) (else = 0) into atebadly.
+ compute homemgmt = 0.
+ if (drnkmore = 100 and ateokay = 100) homemgmt = 100.
+ compute orifcf = 0.
+ if ((CA2A = 1 or CA2B = 1 or CA2C = 1 or drnkmore = 100) and ateokay = 100) orifcf = 100.
+ compute dtotal = 1.
end if.

variable label drnkmore "A bu plus".
variable label drnkless "A bu la mme quantit ou moins".
variable label ateokay "A mang moins, la mme chose ou plus".
variable label atebadly "A mang beaucoup moins ou rien".
variable label homemgmt "Prise en charge de la diarrhe  domicile*".
variable label orifcf "A reu une rhydratation orale ou a augment la prise de liquides et poursuivi l'alimentation**".
value label dtotal 1 "".
variable label dtotal "Nombre d'enfants de 0-59 mois avec diarrhe".

tables
  /format = zero
  /observation diarrhea drnkmore drnkless ateokay atebadly homemgmt orifcf
  /ftotal tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + cage_11 + melevel + wlthind5 + hc1cee + tot1 by
     diarrhea + total + drnkmore + drnkless + ateokay + atebadly + homemgmt + 
		 orifcf + dtotal
  /statistics
    mean(diarrhea (f5.1) '')
    count(total (f5.0) '')
    mean(drnkmore (f5.1) '')
    mean(drnkless (f5.1) '')
    mean(ateokay (f5.1) '')
    mean(atebadly (f5.1) '')
    mean(homemgmt (f5.1) '')
    mean(orifcf (f5.1) '')
    count(dtotal (f5.0) '')
  /title
    "Tableau CH.5: Pourcentage d'enfants de moins de cinq ans ayant eu la diarrhe au cours des deux dernires semaines " + 
                        "qui ont reu davantage de liquides et ont continu  manger durant la maladie, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 34"
		"** MICS indicateur 35".

new file.
