get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
variable label total "Nombre d'enfants de 0-59 mois".
value label total 1 "".

* ARI in the last 2 weeks.
compute ari  = 0.
if ((CA7 =1 or CA7 = 3) and CA5 = 1 and CA6 = 1) ari = 100.
variable label ari "A eu une infection repiratoire aigue".

do if (ari = 100).

+ recode CA9A ("A" = 100) (else = 0) into ho.
+ recode CA9B ("B" = 100) (else = 0) into hc.
+ recode CA9C ("C" = 100) (else = 0) into hp.
+ recode CA9D ("D" = 100) (else = 0) into vi.
+ recode CA9E ("E" = 100) (else = 0) into oc.
+ recode CA9H ("H" = 100) (else = 0) into pu.
+ recode CA9I ("I" = 100) (else = 0) into ph.
+ recode CA9J ("J" = 100) (else = 0) into pp.
+ recode CA9K ("K" = 100) (else = 0) into pr.
+ recode CA9L ("L" = 100) (else = 0) into mo.
+ recode CA9O ("O" = 100) (else = 0) into op.
+ recode CA9P ("P" = 100) (else = 0) into rf.
+ recode CA9Q ("Q" = 100) (else = 0) into sh.
+ recode CA9R ("R" = 100) (else = 0) into tr.
+ recode CA9X ("X" = 100) (else = 0) into ot.
+ compute any = 0.
* excludes Pharmacy.
+ if (ho = 100 or hc = 100 or hp = 100 or vi = 100 or oc = 100 or pu =100 or
    ph = 100 or pp = 100 or mo = 100 or op = 100) any = 100.
+ compute atotal = 1.
end if.

variable label ho "Hpital".
variable label hc "Centre de sant publique".
variable label hp "Case de sant publique".
variable label vi "Centre de sant communautaire".
variable label oc "Clinique mobile".
variable label pu "Autre structure publique".
variable label ph "Hpital/Clinique Priv()".
variable label pp "Mdicine priv".
variable label pr "Pharmacie".
variable label mo "Clinique mobile ".
variable label op "Autre priv".
variable label rf "Parents ou amis".
variable label sh "Magasin".
variable label tr "Praticien traditionnel".
variable label ot "Autre source".
variable label any "Prestataire de soins  appropri*".
variable label atotal "Nombre d'enfants de 0-59 mois avec un cas suspect de pneumonie".
value label atotal 1 "".

tables
  /format = zero
  /observation = ari ho hc hp vi oc pu ph pp pr mo op rf sh tr ot any
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + cage_11 + melevel + wlthind5 + hc1cee + tot1 by
    ari + total + ho + hc + hp + vi + oc + pu + ph + pp + pr + mo + 
		op + rf + sh + tr + ot + any + atotal
  /statistics
    mean(ari (f5.1) '')
    count(total (f5.0) '')
    mean(ho (f5.1) '')
    mean(hc (f5.1) '')
    mean(hp (f5.1) '')
    mean(vi (f5.1) '')
    mean(oc (f5.1) '')
    mean(pu (f5.1) '')
    mean(ph (f5.1) '')
    mean(pp (f5.1) '')
    mean(pr (f5.1) '')
    mean(mo (f5.1) '')
    mean(op (f5.1) '')
    mean(rf (f5.1) '')
    mean(sh (f5.1) '')
    mean(tr (f5.1) '')
    mean(ot (f5.1) '')
    mean(any (f5.1) '')
    count(atotal (f5.0) '')
  /title
    "Tableau CH.6: Pourcentage d'enfants de moins de cinq ans ayant eu des infections respiratoire aigus (IRA) " + 
                        "durant les deux dernires semaines qui ont t traits par les prestataires de service de sant, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 23".

new file.
