get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Nombre de mres/personnes en charge des enfants de 0-59 mois".

compute layer1 = 1.
value label layer1 1 " ".
variable label layer1 "Pourcentage de mres/personnes en charge d'enfants de 0-59 mois qui "+
  "pensent qu'un enfant doit tre amen immdiatement dans un service de sant s'il :".


compute drink = 0.
if (CA14A = "A") drink = 100.
variable label drink "N'est pas capable de boire ou manger".

compute sicker = 0.
if (CA14B = "B") sicker = 100.
variable label sicker "Devient plus malade".

compute fever = 0.
if (CA14C = "C") fever = 100.
variable label fever "Dveloppe une fivre".

compute fast = 0.
if (CA14D = "D") fast = 100.
variable label fast "A une respiration rapide".

compute breath = 0.
if (CA14E = "E") breath = 100.
variable label breath "A une respiration difficile".

compute blood = 0.
if (CA14F = "F") blood = 100.
variable label blood "A du sang dans les selles ".

compute poorly = 0.
if (CA14G = "G") poorly = 100.
variable label poorly "Boit difficilement".

compute other = 0.
if (CA14X = "X" | CA14Y = "Y" | CA14Z = "Z") other = 100.
variable label other "A d'autres symptmes".

compute twosigns = 0.
if (CA14D = "D" and CA14E = "E") twosigns = 100.
variable label twosigns "Mres/personnes en charge qui reconnaissent les deux signes de risque de la pneumonie*".

tables
  /format = zero
  /observation = drink sicker fever fast breath blood poorly other twosigns
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 by layer1 >
    (drink + sicker + fever + fast + breath + blood + poorly + other) +
		twosigns + total
  /statistics
    mean(drink (f5.1) '')
    mean(sicker (f5.1) '')
    mean(fever (f5.1) '')
    mean(fast (f5.1) '')
    mean(breath (f5.1) '')
    mean(blood (f5.1) '')
    mean(poorly (f5.1) '')
    mean(other (f5.1) '')
    mean(twosigns (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau CH.7A: Pourcentage de personnes en charge des enfants gs de 0-59 mois qui connaissent deux signes pour aller chercher immdiatement des soins, "+
		"Cte d'Ivoire, 2006".

new file.
