get file = 'ch.sav'.

weight by chweight.

select if (UF9 = 1).

recode ML10 (1 = 100) (else = 0) into bednet.
variable label bednet "Ont dormi sous une moustiquaire*".

compute trnet = 0.
if (ML12a1 = 1 ) trnet = 100.
*if ((ML12a1 = 1 or ML12a2 =1) and ML11 < 12) trnet = 100.
if (ML11 < 12 and ML13 = 1) trnet = 100.
if (ML14 = 1 and ML15 < 12) trnet = 100.
variable label trnet "Ont dormi sous une moustiquaire traite**".

* create a variable that equal 100 IF child slept under an untreated net.
compute untreat = 0.
if ((ML12a1 = 2 or ML12a2 = 2) and (ML11 >= 12 and ML11 <= 95) and 
	((ML14 = 2) or (ML14 = 1 and ML15 >= 12 and ML15 <= 95))) untreat = 100.
if ((ML12a3 = 1 or ML12a3 = 8 or ML12a3 = 9) and 
	(ML13 = 2 or (ML13 <> 2 and ML11 >= 12 and ML11 <= 95)) and 
	((ML14 = 2) or (ML14 = 1 and ML15 >= 12 and ML15 <= 95))) untreat = 100.
variable label untreat "Ont dormi sous un moustiquaire non trait".

* it is unknown if a child's net was treated if: the child slept under a net
* and the net was neither treated nor untreated.
compute iftreat = 0.
if (bednet = 100 & trnet = 0 & untreat = 0) iftreat = 100.
variable label iftreat "Ont dormi sous une moustiquaire mais on ne sait pas si elle est traite".

recode ML10 (8,9 = 100) (else = 0) into dk.
variable label dk "On ne sait pas s'il ont dormi sous une moustiquaire".
 
recode ML10 (2 = 100) (else = 0) into notsleep.
variable label notsleep "N'ont pas dormi sous une moustiquaire". 

tables
  /format = zero
  /observation = bednet trnet untreat iftreat dk notsleep
  /ftotal = tot1 "Total" tot2 "Nombre d'enfants de 0-59 mois" 
  /table = HL4 + HH7 + HH6+ HH6A + cage_11 + wlthind5 + hc1cee + tot1 by 
	  bednet + trnet + untreat + iftreat + dk + notsleep + tot2 
  /statistics
    means(bednet (f5.1) '')
    means(trnet (f5.1) '')
    means(untreat (f5.1) '')
    means(iftreat (f5.1) '')
    means(dk (f5.1) '')
    means(notsleep (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau CH.11: Pourcentage d'enfants de moins de 5 ans qui ont dormi sous d'une moustiquaire imprgne au cours de la nuit prcdente, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 38"
		"** MICS indicateur 37; MDG indicateur 22".

new file.
