get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
variable label total "Nombre d'enfants gs de 0-59 mois".

* fever in the last 2 weeks.
recode ML1 (1 = 100) (else = 0) into fever.
variable label fever "A eu une fivre dans les 2 dernires semaines".

do if (fever = 100).
+ compute layer1 = 1.
+ compute sp = 0.
+ if (ML4A = "A" or ML7A = "A") sp = 100.
+ compute ch = 0.
+ if (ML4B = "B" or ML7B = "B") ch = 100.
+ compute ar = 0.
+ if (ML4E = "E" or ML7E = "E") ar = 100.
+ compute oa = 0.
+ if (ML4H = "H" or ML7H = "H") oa = 100.
+ compute approp = 0.
+ if (sp = 100 or ch = 100 or ar = 100 or oa = 100) approp = 100.
+ compute pa = 0.
+ if (ML4P = "P" or ML7P = "P") pa = 100.
+ compute mt = 0.
+ if (ML7S = "S") mt = 100.
+ compute ot = 0.
+ if (ML4X = "X" or ML7X = "X") ot = 100.
+ compute dk = 0.
+ if (ML4Z = "Z" or ML7Z = "Z") dk = 100.
+ compute okdrug = 0.
+ if (approp = 100 and ML9 >= 0 and ML9 <= 1) okdrug = 100.
+ compute ftotal = 1.
end if.

value label layer1 1 " ".
variable label layer1 "Enfants ayant eu une fivre dans les 2 dernires semaines et qui ont t traits avec:".
variable label sp "Anti-paluden: SP/Fansidar".
variable label ch "Anti-paluden: Chloroquine".
variable label ar "Anti-paluden: Combinaisons d'artmisinine".
variable label oa "Anti-paluden: Autre Anti-paluden".
variable label approp "Tout traitement anti-paluden appropri ".
variable label pa "Autre mdicament: Paractamol/Panadol/Actaminophen".
variable label mt "Autre mdicament: Mdicaments traditionnel".
variable label ot "Autre".
variable label dk "Ne sait pas".
variable label okdrug "Tout traitement anti-paluden appropri dans les 24 heures sur la base des symptomes*".
value label ftotal 1 "".
variable label ftotal "Nombre d'enfants avec de la fivre pendant les deux dernires semaines".

tables
  /format = zero
  /observation = fever sp ch ar oa approp pa mt ot dk okdrug 
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + cage_11 + melevel + wlthind5 + hc1cee + tot1 by
	  fever + total + layer1 > (sp + ch + ar + oa + approp + pa + mt + ot + dk + okdrug) + ftotal
  /statistics
    mean(fever (f5.1) '')
    count(total (f5.0) '')
    mean(sp (f5.1) '')
    mean(ch (f5.1) '')
    mean(ar (f5.1) '')
    mean(oa (f5.1) '')
    mean(approp (f5.1) '')
    mean(pa (f5.1) '')
    mean(mt (f5.1) '')
    mean(ot (f5.1) '')
    mean(dk (f5.1) '')
    mean(okdrug (f5.1) '')
    count(ftotal (f5.0) '')
  /title
    "Tableau CH.12: Pourcentage d'enfants gs de 0-59 mois souffrant de la fivre durant les deux dernires semaines qui ont t traits avec un antipaluden, Cte d'Ivoire, 2006"
  /caption
    "MICS indicateur 39; MDG indicateur 22".

new file.
