get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

compute total = 1.
value labels total 1 "".
variable label total "Nombre de femmes de 15-49 ans qui ont eu une naissance au cours de deux annes prcdant l'enqute ".

compute prevent = 0.
if (MN6A = 1) prevent  = 100.
variable label prevent "Un mdicament contre la paludisme durant leur grossesse".

compute onetime = 0.
if (MN6BA = "A" and MN6D = 1) onetime  = 100.
variable label onetime "SP/Fansidar une fois seulement".

compute twotimes = 0.
if (MN6BA = "A" and MN6D >= 2 and MN6D < 98) twotimes  = 100.
variable label twotimes "SP/Fansidar 2 fois ou plus*".

compute fansun = 0.
if (MN6BA = "A" and (MN6D = 98 | MN6D = 99)) fansun  = 100.
variable label fansun "SP/Fansidar, nombre de fois inconnu*".

compute chloroq = 0.
if (MN6BB = "B") chloroq  = 100.
variable label chloroq "Chloroquine".

compute other = 0.
if (MN6BX = "X") other  = 100.
variable label other "Autre mdicaments".

compute dk = 0.
if (MN6BZ = "Z") dk  = 100.
variable label dk "Ne sait pas".

compute layer1 = 1.
value label layer1 1 " ".
variable label layer1 "Pourcentage de femmes en grossesse qui ont pris :".

tables
  /format = zero
  /observation = prevent onetime twotimes fansun chloroq other dk
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 by layer1 >
	  (prevent + onetime + twotimes + fansun + chloroq + other + dk) + total
  /statistics
    mean(prevent (f5.1) '')
    mean(onetime (f5.1) '')
    mean(twotimes (f5.1) '')
    mean(fansun (f5.1) '')
    mean(chloroq (f5.1) '')
    mean(other (f5.1) '')
    mean(dk (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau CH.13: Pourcentage de femmes ges de 15-49 ans qui ont donn naissance au cours des deux annes prcdant l'enqute " + 
                        "et qui reurent une thrapie prventive intermittente contre le paludisme au cours de leur grossesse, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 40".

new file.
