get file = 'hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute treated  = 0.
if (TN2A = 1) treated = 100.
if (TN7 = 1 and TN8 < 12) treated  =100.
if (TN2A = 2 and  TN6 < 12) treated = 100.
if (TN5 = 1 and  TN6 < 12) treated = 100.

variable label treated "Nombre de mnages avec au moins un moustiquaire trait( ITN)".

select if (treated = 100).

compute htotal = 1.
variable label htotal "Nombre de mnages avec au moins un moustiquaire trait( ITN)".
value label htotal 1 "".

recode TN3A (11 through 16 = 1) (21 through 26 = 2) (else = 3) into tnsource.
variable label tnsource "Source du moustiquaire trait".
value label tnsource
	1 "Public*"
	2 "Priv"
	3 "Autre".

do if (tnsource = 1).
+ compute tnpufree = 0.
+ if (TN3B = 9996 | TN3B = 0000) tnpufree = 100.
+ if (TN3B > 0 & TN3B < 9996) tnpucost = TN3B.
else if (tnsource = 2).
+ compute tnprfree = 0.
+ if (TN3B = 9996 | TN3B = 0000) tnprfree = 100.
+ if (TN3B > 0 & TN3B < 9996) tnprcost = TN3B.
end if.
variable label tnpufree "Public".
variable label tnprfree "Priv".
variable label tnpucost "Public**".
variable label tnprcost "Priv**".

compute layer1 = 1.
value label layer1 1 " ".
variable label layer1 "Pourcentage gratuit".

compute layer2 = 1.
value label layer2 1 " ".
variable label layer2 "Cot moyen pour ceux qui l'obtiennent gratuitement".

tables
  /format = zero
 /observation tnpufree tnprfree tnpucost tnprcost
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + HH6A + helevel + wlthind5 + tot1 by 
	  tnsource + tot1 + htotal + layer1 > (tnpufree + tnprfree) +  
		layer2 > (tnpucost + tnprcost) 
  /statistics
    cpct(tnsource (f5.1) '': HH7 HH6 HH6A helevel wlthind5)
    count(htotal (f5.0) '')
		mean(tnpufree (f5.1) '')
		mean(tnprfree (f5.1) '')
		median(tnpucost (f5.1) '')
		median(tnprcost (f5.1) '')
  /title
	  "Tableau CH.14: Pourcentage des mnages selon la source de provenance des moustiquaires imprgns, des mnages ayant obtenu gratuitement" 
                         "des moustiquaires imprgns, et le cot moyen des moustiquaires imprgns pour ceux qui ont pay par source de provenance, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 96"
    "** MICS indicateur 97".

new file.
