get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute gotam = 0.
if (not(sysmis(ML9))) gotam = 1.
variable label gotam "Enfants qui ont t traits avec des anti-paludens".

select if (gotam = 1).

compute ctotal = 1.
value label ctotal 1 "".
variable label ctotal "Nombre d'enfants ayant eu une fivre au cours des 2 dernires semaines "+
                            "et qui ont t traits avec des anti-paludens".

recode ML9A (11 through 16 = 1) (21 through 26 = 2) (else = 3) into amsource.
variable label amsource "Source des  anti-paludens".
value label amsource
	1 "Public*"
	2 "Priv"
	3 "Autre".

do if (amsource = 1).
+ compute ampufree = 0.
+ if (ML9B = 9996 | ML9B = 0000) ampufree = 100.
+ if (ML9B > 0 & ML9B < 9996) ampucost = ML9B.
else if (amsource = 2).
+ compute amprfree = 0.
+ if (ML9B = 9996 | ML9B = 0000) amprfree = 100.
+ if (ML9B > 0 & ML9B < 9996) amprcost = ML9B.
end if.
variable label ampufree "Public".
variable label amprfree "Priv".
variable label ampucost "Public**".
variable label amprcost "Priv**".

compute layer1 = 1.
value label layer1 1 " ".
variable label layer1 "Pourcentage l'ayant eu gratuitement".

compute layer2 = 1.
value label layer2 1 " ".
variable label layer2 "Cot moyen pour ceux qui ne l'ont pas eu gratuitement".

tables
  /format = zero
	/observation = ampufree amprfree ampucost amprcost
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6 + HH6A + melevel + wlthind5 + hc1cee + tot1 by 
		amsource + tot1 + ctotal + layer1 > (ampufree + amprfree) + 
		layer2 > (ampucost + amprcost)  
  /statistics
    cpct(amsource (f5.1) '': HL4 HH7 HH6 HH6A melevel wlthind5)
    count(ctotal (f5.0) '')
    mean(ampufree (f5.1) '')
    mean(amprfree (f5.1) '')
    median(ampucost (f5.1) '')
    median(amprcost (f5.1) '')
  /title
	  "Tableau CH.15: Pourcentage d'enfants gs de 0-59 mois ayany eu une fivre qui ont reu des anti-paludens au cours des deux semaines prcdent l'enqute,"
                        "selon les sources d'approvisionnement, pourcentage d'enfants qui ont reu gratuitement les antibiotiques, et cot moyen des antibiotiques pour ceux qui les ont pay, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 96"
    "** MICS indicateur 97".

new file.
