get file = 'ch.sav'.

weight by chweight.

select if (UF9  = 1 and CA11A = "A") .

compute tari = 1.
value label tari  1 "".
variable label tari "Nombre d'enfants ayant eu une maladie respiratoire durant les 2 "+
                         "semaines et qui ont reu des antibiotiques". 

 recode  CA11B (11 thru 16 = 1) (21 thru 26 = 2) (else  = 3) into anti.
variable label anti "Source des antibiotiques".
value label anti 1 "Public*" 2 "Priv" 3 "Autres".

do if (anti = 1).
+ compute anpufree = 0.
+ if (CA11C = 9996 | CA11C = 0000) anpufree = 100.
+ if (CA11C > 0 & CA11C < 9996) anpucost = CA11C.
else if (anti = 2).
+ compute anprfree = 0.
+ if (CA11C = 9996 | CA11C = 0000) anprfree = 100.
+ if (CA11C > 0 & CA11C < 9996) anprcost = CA11C.
end if.
variable label anpufree "Public".
variable label anprfree "Priv".
variable label anpucost "Public**".
variable label anprcost "Priv**".

compute layer1 = 1.
value label layer1 1' '.
variable label layer1 "Pourcentage l'ayant eu gratuitement".

compute layer2 = 1.
value label layer2 1' '.
variable label layer2 "Cot moyen pour ceux qui ne l'ont pas eu gratuitement".

tables
  /format = zero
 /observation = anpufree anprfree anpucost anprcost
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 by anti + tot1 +
	  tari + layer1 > (anpufree + anprfree) + layer2 > (anpucost + anprcost)
  /statistics
    cpct(anti (f5.1) '': HL4 HH7 HH6 HH6A melevel wlthind5 hc1cee)
    count(tari (f5.0) '')
    mean(anpufree (f5.1) '')
    mean(anprfree (f5.1) '')
    median(anpucost (f5.1) '')
    median(anprcost (f5.1) '')
  /title
	  "Tableau CH.16: Pourcentage d'enfants gs de 0-59 mois ayant eu une IRA qui ont reu des antibiotiques au cours des deux semaines prcdent l'enqute," 
                       "selon les sources d'approvisionnement, pourcentage d'enfants qui ont reu gratuitement les antibiotiques, et cot moyen des antibiotiques pour ceux qui les ont pay, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 96"
    "** MICS indicateur 97".

new file.
