get file = 'ch.sav'.

weight by chweight.

select if (UF9  = 1 and CA2A = 1).

compute tdiar = 1.
value label tdiar  1 "".
variable label tdiar "Nombre d'enfants ayant eu une diarrhe au cours des deux dernires semaines "+
                           "et qui ont reu des sels de rhydratation orale".

recode  CA4B (11 thru 16 = 1) (21 thru 26 = 2) (else  = 3) into ors.
variable label ors "Source de sels de Rhydratation Orale".
value label ors 1 "Public*" 2 "Priv" 3 "Autres".

do if (ors = 1).
+ compute orpufree = 0.
+ if (CA4C = 9996 | CA4C = 0000) orpufree = 100.
+ if (CA4C > 0 & CA4C < 9996) orpucost = CA4C.
else if (ors = 2).
+ compute orprfree = 0.
+ if (CA4C = 9996 | CA4C = 0000) orprfree = 100.
+ if (CA4C > 0 & CA4C < 9996) orprcost = CA4C.
end if.
variable label orpufree "Public".
variable label orprfree "Priv".
variable label orpucost "Public**".
variable label orprcost "Priv**".

compute layer1 = 1.
value label layer1 1 " ".
variable label layer1 "Pour l'ayant eu gratuitement".

compute layer2 = 1.
value label layer2 1 " ".
variable label layer2 "Cot Moyen pour ceux qui ne l'ont pas eu gratuitement".

tables
  /format = zero
	/observation = orpufree orprfree orpucost orprcost
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + melevel + wlthind5 + hc1cee + tot1 by ors + tot1 +
	  tdiar + layer1 > (orpufree + orprfree) + layer2 > (orpucost + orprcost)
  /statistics
    cpct(ors (f5.1) '': HL4 HH7 HH6 HH6A melevel wlthind5 hc1cee)
    count(tdiar (f5.0) '')
    mean(orpufree (f5.1) '')
    mean(orprfree (f5.1) '')
    median(orpucost (f5.1) '')
    median(orprcost (f5.1) '')
  /title
	  "Tableau CH.17: Pourcentage d'enfants gs de 0-59 mois ayant eu une diarrhe au cours des deux semaines prcdent l'enqute"
		" par source d'approvisionnement en sel de rhydratation orale pour le traitement de la diarrhe, pourcentage d'enfant"
                         "gs de 0-59 mois ayant eu la diarrhe au cours des deux semaines prcdent l'enqute qui ont obtenu la solution de,"
                         "rhydratation orale gratuitement, et cot moyen pour ceux qui l'ont achete, selon la source d'approvisionnement, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 96"
    "** MICS indicateur 97".

new file.

