**get file = 'hl.sav'.

get file = 'hh.sav'.

select if (HH9 = 1).
*compute hhweight = hhweight*HH11.

weight by hhweight.

* create variable that will provide title in final table.
compute treat = 1.
value label treat 1  "Mthode de traitement de l'eau utilise dans le mnage".
variable label treat "".

compute none = 0.
if (WS5 <> 1) none = 100.
variable label none "Aucune".

compute boil = 0.
if (WS6A = "A") boil = 100.
variable label boil "bouillir".

compute bleach = 0.
if (WS6B = "B") bleach = 100.
variable label bleach "Ajouter de l'eau de javel/chlore".

compute cloth = 0.
if (WS6C = "C") cloth = 100.
variable label cloth "La filtrer  travers un linge".

compute wfilter = 0.
if (WS6D = "D") wfilter = 100.
variable label wfilter "Utiliser un filtre  eau ".

compute solar = 0.
if (WS6E = "E") solar = 100.
variable label solar "Dsinfection solaire".

compute stand = 0.
if (WS6F = "F") stand = 100.
variable label stand "Laisser reposer".

compute other = 0.
if (WS6X = "X") other = 100.
variable label other "Autre".

compute dk = 0.
if (WS6Z = "Z") dk = 100.
variable label dk "Ne sait pas".

compute allh = 0.
if (boil = 100 or bleach = 100 or wfilter = 100 or solar = 100) allh = 100.
variable label allh "Toutes sources d'approvisionnement en eau: Mthode approprie de de traitement de l'eau*".

compute total = 1.
value label total 1 "".
variable label total "Nombre de mnages".

recode WS1 (11,12,13,21,31,41,51 = 1) (else = 2) into type.
do if (WS1 = 91).
recode WS2 (11,12,13,21,31,41,51 = 1) (else = 2) into type.
end if.
variable label type "".
value label type 1 "Sources amliore" 2 "Sources non amliore".

do if (type  = 1).
+ compute improved = 0.
+ if (boil = 100 or bleach = 100 or wfilter = 100 or solar = 100) improved = 100.
+ compute itotal = 1.
end if.
variable label improved "Sources amliores d'approvisionnement en eau: Mthode approprie de de traitement de l'eau".
value label itotal  1 "".
variable label itotal "Nombre de mnages".

do if (type  = 2).
+ compute unimp = 0.
+ if (boil = 100 or bleach = 100 or wfilter = 100 or solar = 100) unimp = 100.
+ compute utotal = 1.
end if.
variable label unimp "Sources non amliores d'approvisionnement en eau: Mthode approprie de de traitement de l'eau".
value label utotal  1 "".
variable label utotal "Nombre de mnages".

tables
  /format = zero
  /observation = none boil bleach cloth wfilter solar stand other dk allh 
	  improved unimp
  /ftotal = tot1 "Total" 
  /table = HH7 + HH6+ HH6A + helevel + wlthind5 + tot1 by treat > 
	  (none + boil + bleach + cloth + wfilter + solar + stand + other + dk) + 
		allh + total + improved + itotal + unimp + utotal
  /statistics
    mean(none (f5.1) '')
    mean(boil (f5.1) '')
    mean(bleach (f5.1) '')
    mean(cloth (f5.1) '')
    mean(wfilter (f5.1) '')
    mean(solar (f5.1) '')
    mean(stand (f5.1) '')
    mean(other (f5.1) '')
    mean(dk (f5.1) '')
    mean(allh (f5.1) '')
    count(total (f5.0) '')
    mean(improved (f5.1) '')
    count(itotal (f5.0) '')
    mean(unimp (f5.1) '')
    count(utotal (f5.0) '')
  /title
    "Tableau EN.2: Rpartition en pourcentage des mnages selon la mthode utilise dans le traitement de l'eau de boisson, " + 
                        "et pourcentage des mnages qui utilisent une mthode approprie dans le traitement de l'eau, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 13".

new file.

