get file = 'hl.sav'.

* select those in urban area; add capital city if it is not all urban.
select if (HH6 = 1).

weight by hhweight.

compute formal = 100.
if (HC15B = 1 or HC15CA = "A" or HC15CB = "B" or HC15D = 1) formal = 0.
variable label formal "Le mnage ne dispose pas de papier en rgle pour le logement occup".

recode HC15F (2 = 100) (else = 0) into eviction.
variable label eviction "Le rpondant pense tre  risque d'tre expuls du logement".

compute security = 0.
if (formal = 100 or eviction = 100) security = 100.
variable label security "Le mnage n'a pas de scurit de logement*".

compute evicted = 0.
if (HC15G = 1) evicted = 100.
variable label evicted "Membres de mnage expulss de leur logement au cours des 5 dernires annes".

compute total = 1.
value label total 1 "".
variable label total "Nombre des membres du mnage".


  *** initial cpct.
tables
  /format = zero
  /observation = formal eviction security evicted
  /ftotal = tot1 "Total" 
  /table = HH7 + helevel + wlthind5 + tot1 by  formal + eviction + security + evicted + total
  /statistics
    mean(formal (f5.1) '') 
    mean(eviction (f5.1) '')
    mean(security (f5.1) '')
    mean(evicted (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau EN.8: Pourcentage des mnages rsident en milieu urbain (ou  la capitale) possdant un document formel de l'habitation, et pourcentage " + 
                       "des mnages qui ont t expulss de leur demeure au cours des 5 dernires annes, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 93".

new file.
