get file = 'wm.sav'.

select if (WM7 = 1 ).
*select if (WM7 = 1 & (CP0=1 or CP0=2 ) ).

weight by wmweight.

select if  (mstatus = 1).

compute method = 0.
if (CP3X = "X") method = 14.
if (CP3M = "M") method = 13.
if (CP3L = "L") method = 12.
if (CP3K = "K") method = 11.
if (CP3I = "I" or CP3J = "J") method = 9.
if (CP3H = "H") method = 8.
if (CP3G = "G") method = 7.
if (CP3F = "F") method = 6.
if (CP3E = "E") method = 5.
if (CP3D = "D") method = 4.
if (CP3C = "C") method = 3.
if (CP3B = "B") method = 2.
if (CP3A = "A") method = 1.

variable label method "Pourcentage des femmes (actuellement maries ou en union) qui utilisent:".
value label method 0 "N'utilise aucune mthode"
                   1 "Strilisation fminine"
                   2 "Strilisation masculine"
                   3 "Pilule"
                   4 "DIU"
                   5 "Injections"
                   6 "Implants"
                   7 "Condom"
                   8 "Condom fminin"
                   9 "Diaphragme/ mousse/gele"
                   11 "LAM"
                   12 "Abstinence priodique"
                   13 "Rtait"
                   14 "Autre".

compute anymod = 0.
if (method >= 1 and method <= 9) anymod = 100.
variable label anymod "Toute mthode moderne".

compute anytrad = 0.
if (method >= 11 and method <= 14) anytrad = 100.
variable label anytrad "Toute mthode traditionnelle".

compute any = 0.
if (anymod = 100 or anytrad = 100) any = 100.
variable label any "Toute mthode*".

compute living = 0.
if (CM1 = 1) living = CM9.
*if (CM1 = 1 and CM7 = 1) living = CM9 - (CM8A + CM8B).
recode living (0 thru 3 = copy) (4 thru hi = 4).
variable label living "Nombre d'enfants vivants".
value label living 4 "4+".
format living (f5.0).


compute total = 1.
variable label total "Nombre de femmes actuellement maries ou en union".
value label total 1 "".

tables
  /format = zero
  /observation anymod anytrad any
  /ftotal tot1 "Total"
  /tables = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 
	  by method + tot1 + anymod + anytrad + any + total
  /statistics
    cpct(method (f5.1) '':HH7 HH6 HH6A wage melevel wlthind5 hc1cee)
    mean(anymod (f5.1) '')
    mean(anytrad (f5.1) '')
    mean(any (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau RH.1: Pourcentage de femmes de 15-49 ans actuellement maries ou en union qui utilisent actuellement " + 
                        "(ou dont le partenaire utilise) une mthode contraceptive, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 21; MDG indicateur 19C".

new file.
