GET file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

compute anc = 0.
if (MN2A = "A") anc = 1.
if (anc = 0 and MN2B = "B") anc = 2.
if (anc = 0 and MN2C = "C") anc = 3.
if (anc = 0 and MN2F = "F") anc = 4.
if (anc = 0 and MN2G = "G") anc = 5.
if (anc = 0 and MN2H = "H") anc =  6.
if (anc = 0 and (MN2X = "X" or MN2A = "?"))  anc =  7.
if (anc = 0 and (MN2Y = "Y")) anc = 8.
variable label anc "Personne ayant reus des soins prnatals".
value label anc
  1 "Mdecin"
  2 "Infirmire/sage femme"
  3 "Sage femme auxiliaire/Aide soignante"
  4 "Accoucheuse traditionnelle"
  5 "Agent de sant communautaire"
  6 "Parente/amie"
  7 "Autre/manquant"
  8 "N'a reu aucun soin prnatal".

compute ancmore = 0.
if (anc <> 8) ancmore = 100.
variable label ancmore "Pourcentage de femmes enceintes recevant des soins prnatals "+
                                 "au moins une fois pendant la grossesse*".

select if ((CM12 = "Y") and ancmore  = 100).

compute total = 1.
variable label total "Nombre de femmes ayant accouch au cours des deux dernires annes prcdent l'enqute".
value label total 1 "".

compute layer = 1.
variable label layer "".
value label layer 1 "Pourcentage de femmes ayant:".

recode MN3A (1 = 100) (else = 0) into weighed.
variable label weighed "Fait prendre son poids*".

recode MN3B (1 = 100) (else = 0) into pressure.
variable label pressure "Fait prendre sa tension (pression du sang)*".

recode MN3C (1 = 100) (else = 0) into urine.
variable label Urine "Fait un prlevement d'urine*".

recode MN3D (1 = 100) (else = 0) into blood.
variable label blood "Fait un test sanguin*".

tables
  /format = zero
  /observation =  blood pressure urine weighed
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by
	   layer > (blood + pressure + urine + weighed) +total
  /statistics
    mean(blood (f5.1) '')
    mean(pressure (f5.1) '')
    mean(urine (f5.1) '')
    mean(weighed (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau RH.4w: : Contenu de soin prnatal (Tableau de fonctionnement) : " 
                        "Pourcentage de femmes enceintes ayant reu des soins spcifiques faisant partie des soins prnatals pourvus, parmi les"
                        "femmes de 15-49 ans qui ont donn naissance au cours des deux dernires annes prcdant l'enqute et ayant reu de soin prnatal, Cte d'Ivoire, 2006".
new file.