get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

compute total = 1.
variable label total "Nombre de femmes ayant eu une naissance au cours des deux annes prcdent l'enqute".
value label total 1 "".

compute dcare = 0.
if (MN7A = "A") dcare = 1.
if (dcare = 0 and MN7B = "B") dcare = 2.
if (dcare = 0 and MN7C = "C") dcare = 3.
if (dcare = 0 and MN7F = "F") dcare =  4.
if (dcare = 0 and MN7G = "G") dcare = 5.
if (dcare = 0 and MN7H = "H") dcare = 6.
if (dcare = 0 and (MN7X = "X" or MN7A = "?")) dcare = 7.
if (dcare = 0 and MN7Y = "Y") dcare = 8.
variable label dcare "Personnel ayant assist l'accouchement".
value label dcare
  1 "Mdecin"
  2 "Infirmire/sage femme"
  3 "Sage femme auxiliaire/Aide soignante"
  4 "Accoucheuse traditionnelle"
  5 "Agent de sant communautaire"
  6 "Parente/amie"
  7 "Autre/manquant"
  8 "Pas d'assistance".

compute skilled = 0.
if (dcare = 1 or dcare = 2 or dcare = 3) skilled = 100.
variable label skilled "Tout personnel qualifi*".

recode MN8 (21,22,26,31,32,33,36 = 100) (else = 0) into facility.
variable label facility "Accouchement dans un centre de sant**".

tables
  /format = zero
  /observation = skilled facility
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by 
	  dcare + tot1 + skilled + facility + total
  /statistics
    cpct(dcare (f5.1) '': HH7 HH6 HH6A wage melevel wlthind5 hc1cee)
    mean(skilled (f5.1) '')
    mean(facility (f5.1) '')
    count(total (f5.0) '')
  /title
"Tableau RH.5: Pourcentage de femmes de 15-49 ans qui ont donn naissance au cours des deux annes prcdant l'enqute " + 
                        "selon le type de personnel ayant assist l'accouchement, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 4; MDG indicateur 17"
		"** MICS indicateur 5".

new file.
