get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute total = 1.
value label total 1 "Nombre d'enfants gs de 0-59 mois".

* remove don't know and missing from future calculations (e.g., medians).
recode CE1 (98,99 = sysmis).
recode CE2 (98,99 = sysmis).

recode CE1 (3 thru 10 = 100) (else = 0) into  nbooks3.
variable label  nbooks3 "3 livres d'enfants scolaire ou plus*".

recode CE2 (3 thru 10 = 100) (else = 0) into  cbooks3.
variable label  cbooks3 "3 livres d'enfants illustrs ou plus **".

recode CE3A ("A" = 100)  (else = 0) into hobjects.
variable label hobjects "Objets domestiques".

recode CE3B  ("B" = 100)  (else = 0) into outside.
variable label outside "Des objects et matriels trouvs hors du mnage".

recode CE3C  ("C" = 100)  (else = 0) into homem.
variable label homem "Des jouets faits  la maison".

recode CE3D ("D" = 100)  (else = 0) into store.
variable label store "Des jouets achets dans le commerce".

recode CE3Y ("Y" = 100)  (else = 0) into noplay.
variable label noplay "Pas de jouets mentionns".

count typeplay = hobjects outside homem store (100).
recode typeplay (3 thru hi = 100) (else = 0) into type3.
variable label type3 "3 types de jouets ou plus***".

variable label CE1 "Nombre moyen de livres pour adultes".
variable label CE2 "Nombre moyen de livres d'enfants".

recode cage (0 thru 23 = 1) (else = 2) into age2.
variable label age2 "Age".
value label age2 1 "0-23 mois" 2 "24-59 mois".

compute layer1 = 0.
variable lable layer1 "".
value label layer1 0 "Enfants vivant dans des mnages disposant de:".

compute layer2 = 0.
variable lable layer2 "".
value label layer2 0 "L'enfant possde:".

compute layer3 = 0.
value label layer3 0 "L'enfant joue avec:".


tables
  /format = zero  
  /observation nbooks3 cbooks3 hobjects outside homem store noplay type3
  /ftotal tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + age2 + melevel + wlthind5 + hc1cee + tot1 by layer1 > (nbooks3 +cbooks3 ) +
              layer3 > (hobjects + outside + homem + store + noplay) + type3 + total
  /statistics
    mean(nbooks3 (f5.1) '')
    mean(cbooks3 (f5.1) '')
    mean(hobjects (f5.1) '')
    mean(outside (f5.1) '')
    mean(homem (f5.1) '')
    mean(store (f5.1) '')
    mean(noplay (f5.1) '')
    mean(type3 (f5.1) '')
    count(total (f5.0) '')
  /title
   "Tableau CD.2: Pourcentage des enfants gs de 0-59 mois vivant dans les mnages possdant des livres d'ducation, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 49"
		"** MICS indicateur 48"
		"*** MICS indicateur 50".

new file.
