get file = 'ch.sav'.

select if (UF9 = 1).
weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Nombre d'enfants gs de 0-59 mois".
value label total 1 "".

recode cage (0 thru 23 = 1) (else = 2) into agegrp .
variable label agegrp "Age".
value label agegrp 1 "0-23 mois" 2 "24-59 mois".

recode CE4 (0 = 0) (else = 100) into care.
variable label  care "Laisss sous la garde d'enfants de moins de 10 ans au cours de la dernire semaine".

recode CE5 (0 = 0) (else = 100) into alone.
variable label  alone "Laisss seuls au cours de la dernire semaine".

compute inadeq = 0.
if (care = 100 or alone  = 100) inadeq  = 100.
variable label inadeq "Laisss sous une garde inadquate au cours de la dernire semaine*".

compute layer1 = 0.
variable lable layer1 "".
value label layer1 0 "Pourcentage d'enfants gs de 0-59 mois:".

tables
  /format = zero  
  /observation care alone inadeq
  /ftotal tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + agegrp + melevel + wlthind5 + hc1cee + tot1 by layer1 > (care + alone + inadeq) + total
  /statistics
    mean(care (f5.1) '')
    mean(alone (f5.1) '')
    mean(inadeq (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau CD.3: Pourcentage d'enfants gs de 0-59 mois lasss sous la responsabilit d'autres enfants de moins de 10 ans ou laisss " + 
                         "seuls au cours de la semaine dernire, Cte d'Ivoire, 2006"
  /caption
    "* MICS indicateur 51".

new file.
