get file = "ch.sav" 
 /keep HH1 HH2 LN UF9 BR6 cage chweight.

select if (UF9 = 1).

select if (cage >= 36 and cage <= 59).

recode BR6 (1 = 100) (else = 0) into ecep.
variable label ecep "".

sort  cases by HH1 HH2 LN. 

*save the sorted cases in a working file.
save outfile = "tmp.sav"
 /keep HH1 HH2 LN ecep cage chweight
 /rename (LN = HL1) .

get file = "hl.sav".

sort cases by HH1 HH2 HL1. 

*merge children  data onto the household listing data file.
match files
  /file = *
  /table = "tmp.sav"
  /by HH1 HH2 HL1.

weight by hhweight.

* modify selection to include only one specific age on HL6 that matches the age at which children start primary school
* in addition to the age range of 36-59 months for the early childhood education columns.
select if ((cage >= 36 and cage <= 59) or HL5 = 6).

do if (ED6A = 1 and ED6B = 1).
+ compute first = 0.
+ if (ED8A = 0) first =  100.
end if.
variable label first "".

if (cage >= 36 and cage <= 47) agerange = 1.
if (cage >= 48 and cage <= 59) agerange = 2.
if (hl5 = 6) agerange = 3.
if (hl5 = 7) agerange = 4.
if (hl5 = 8) agerange = 5.
variable label agerange "Age de l'enfant".
value label agerange
  1 "36-47 mois"
  2 "48-59 mois"
  3 "5 ans" 
  4 "6 ans"
  5 "7 ans".

if (cage >= 36 and cage <= 59) hhweight = chweight.
*    mean(first (f5.1) "% d'enfants admis en premire anne d'enseigmt primaire ayant suivi un prog d'enseigmt prscolaire**")
*    validn(first (f5.0) "Nombre d'enfants admis en premire anne d'enseignement primaire")
*  /table = HL4 + HH7 + HH6+ HH6A + agerange + melevel + wlthind5 + hc1cee + tot1 by ecep + first

tables
  /format = zero
  /observation = first ecep 
  /ftotal = tot1 "Total" 
  /table = HL4 + HH7 + HH6+ HH6A + agerange + melevel + wlthind5 + hc1cee + tot1 by  ecep + first 
  /statistics
    mean(ecep (f5.1) "% d'enfants de 36-59 mois qui frquentent un tablissement d'enseignement prscolaire*")
    validn(ecep (f5.0) "Nombre d'enfants gs de 36-59 mois")
      mean(first (f5.1) "% d'enfants admis en premire anne d'enseigmt primaire ayant suivi un prog d'enseigmt prscolaire**")
    validn(first (f5.0) "Nombre d'enfants admis en premire anne d'enseignement primaire")
/title
    "Tableau ED.1: Pourcentage d'enfants de 36-59 mois qui suivent un programme d'ducation formel, et pourcentage de ceux " + 
                        "qui suivent un programme prscolaire, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 52"
		"** MICS Indicateur 53".

new file.
*delete working files.
erase file = "tmp.sav".
