get file = 'hl.sav'.

weight by hhweight.

* the following code assumes that the primary school graduation age is 11 (HL5) (see maxage) and
* that fourth grade is the last primary grade (ED6B and ED8B) (see higrade); 
* change these values to reflect the situation in your country.

* Primary school graduation age.
compute maxage = 11.
* Last primary grade.
compute higrade = 6.

compute pageg = 0.
if (HL5 = maxage) pageg  = 1.

compute prepeat = 0.
if (((ED6A = 1 and ED6B >= higrade and ED6B < 8) or (ED6A >= 2 and ED6A < 8)) and ED8A = ED6A and ED8B  = ED6B and HL5 = maxage) prepeat = 1.

compute plgrade = 0.
if (((ED6A = 1 and ED6B >= higrade and ED6B < 8) or (ED6A >= 2 and ED6A < 8)) and HL5 = maxage and prepeat = 0) plgrade  = 1.

compute cass = 0.
if (ED6A = 2 and ED8A = 1 and ED8B = higrade) cass  = 1.

compute lgps = 0.
if (ED8A = 1 and ED8B = higrade) lgps  = 1.

compute total = 1.
value label total 1 "".
variable label total "Total".

aggregate outfile = 'tmp1.sav'
  /break    = HL4
  /nplgrade = sum(plgrade)
  /npageg   = sum(pageg)
  /ncass    = sum(cass)
  /nlgps    = sum(lgps).

aggregate outfile = 'tmp2.sav'
  /break    = HH7
  /nplgrade = sum(plgrade)
  /npageg   = sum(pageg)
  /ncass    = sum(cass)
  /nlgps    = sum(lgps).

aggregate outfile = 'tmp3.sav'
  /break    = HH6
  /nplgrade = sum(plgrade)
  /npageg   = sum(pageg)
  /ncass    = sum(cass)
  /nlgps    = sum(lgps).

aggregate outfile = 'tmp4.sav'
  /break    = melevel
  /nplgrade = sum(plgrade)
  /npageg   = sum(pageg)
  /ncass    = sum(cass)
  /nlgps    = sum(lgps).

aggregate outfile = 'tmp5.sav'
  /break    = wlthind5
  /nplgrade = sum(plgrade)
  /npageg   = sum(pageg)
  /ncass    = sum(cass)
  /nlgps    = sum(lgps).


aggregate outfile = 'tmp7.sav'
  /break    = HH6A
  /nplgrade = sum(plgrade)
  /npageg   = sum(pageg)
  /ncass    = sum(cass)
  /nlgps    = sum(lgps).

aggregate outfile = 'tmp8.sav'
  /break    = total
  /nplgrade = sum(plgrade)
  /npageg   = sum(pageg)
  /nprepeat = sum(prepeat)
  /ncass    = sum(cass)
  /nlgps    = sum(lgps).

get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'
  /file = 'tmp3.sav'
  /file = 'tmp4.sav'
  /file = 'tmp5.sav'
  /file = 'tmp7.sav'
  /file = 'tmp8.sav'.

variable label
  nplgrade  "Number of children of primary graduation age in last primary grade"
  /npageg   "Nombre d'enfants ayant l'ge d'avoir achev les tudes primaires"
  /nprepeat "Number of repeaters"
  /ncass    "Number of children in first secondary grade who were in primary last year"
  /nlgps    "Nombre d'enfants inscrits en dernire anne des tudes primaires l'anne prcdente"
.

if (npageg > 0) npscr = (nplgrade/npageg)*100.
variable label npscr "Proportion des lves du CM2 gs de 11ans susceptibles d'achever le cycle primaire*".

if (nlgps > 0) trse = (ncass/nlgps)*100.
variable label trse "Taux de transition aux tudes secondaires**".


tables
  /format = zero
  /observation = npscr npageg  trse nlgps
  /table = HL4 + HH7 + HH6+ HH6A + melevel + wlthind5 + total BY 
	  npscr + npageg + trse + nlgps
  /statistics
    mean(npscr (f5.1) '')
    sum(npageg (f5.0) '')
    mean(trse (f5.1) '')
    sum(nlgps (f5.0) '')
  /title
    "Tableau ED.6: Taux d'achvement de l'cole primaire et taux de passage au secondaire, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 59; MDG Indicateur 7b"
    "** MICS Indicateur 58".

new file.

*delete working files.
