get file = 'hl.sav'.

weight by hhweight.

compute total = 1.
value label total 1 "".
variable label total "Total".

compute boysp  = 0.
if (HL4 = 1 and HL5 >= 6 and HL5 <= 11 ) boysp = 1.
variable label boysp "Number of primary school age boys".

compute narbp = 0.
if (HL4 = 1 and HL5 >= 6 and HL5 <= 11 and ED4 = 1 and (ED6A >= 1 and ED6A <= 3)) narbp = 1.
variable label narbp "Number of primary school age boys attending primary "+
  "school".

compute girlsp = 0.
if (HL4 = 2 and HL5 >= 6 and HL5 <= 11) girlsp = 1.
variable label girlsp "Number of primary school age girls".

compute narfp = 0.
if (HL4 = 2 and HL5 >= 6 and HL5 <= 11 and ED4 = 1 and (ED6A >= 1 and ED6A <= 3)) narfp = 1.
variable label narfp "Number of primary school age girls attending primary "+
  "school".

compute boyss = 0.
if (HL4 = 1 and HL5 >= 12 and HL5 <= 18) boyss = 1.
variable label boyss "Number of secondary school age boys".

compute narbs = 0.
if (HL4 = 1 and HL5 >= 12 and HL5 <= 18 and ED4 =1 and (ED6A >= 2 and ED6A <= 3)) narbs = 1.
variable label narbs "Number of secondary school age boys attending secondary "+
  "school".

compute girlss = 0.
if (HL4 = 2 and HL5 >= 12 and HL5 <= 18) girlss = 1.
variable label girlss "Number of secondary school age girls".

compute narfs  = 0.
if (HL4 = 2 and HL5 >= 12 and HL5 <= 18 and ED4 =1 and (ED6A >= 2 and ED6A <= 3)) narfs =  1.
variable label narfs "Number of secondary school age girls attending secondary "+
  "school".

aggregate outfile = 'tmp1.sav'
  /break   = HL4
  /nboysp  = sum(boysp)
  /nnarbp  = sum(narbp)
  /ngirlsp = sum(girlsp)
  /nnarfp  = sum(narfp)
  /nboyss  = sum(boyss)
  /nnarbs  = sum(narbs)
  /ngirlss = sum(girlss)
  /nnarfs  = sum(narfs).

aggregate outfile = 'tmp2.sav'
  /break   = HH7
  /nboysp  = sum(boysp)
  /nnarbp  = sum(narbp)
  /ngirlsp = sum(girlsp)
  /nnarfp  = sum(narfp)
  /nboyss  = sum(boyss)
  /nnarbs  = sum(narbs)
  /ngirlss = sum(girlss)
  /nnarfs  = sum(narfs).

aggregate outfile = 'tmp3.sav'
  /break   = HH6
  /nboysp  = sum(boysp)
  /nnarbp  = sum(narbp)
  /ngirlsp = sum(girlsp)
  /nnarfp  = sum(narfp)
  /nboyss  = sum(boyss)
  /nnarbs  = sum(narbs)
  /ngirlss = sum(girlss)
  /nnarfs  = sum(narfs).

aggregate outfile = 'tmp4.sav'
  /break   = melevel
  /nboysp  = sum(boysp)
  /nnarbp  = sum(narbp)
  /ngirlsp = sum(girlsp)
  /nnarfp  = sum(narfp)
  /nboyss  = sum(boyss)
  /nnarbs  = sum(narbs)
  /ngirlss = sum(girlss)
  /nnarfs  = sum(narfs).

aggregate outfile = 'tmp5.sav'
  /break   = wlthind5
  /nboysp  = sum(boysp)
  /nnarbp  = sum(narbp)
  /ngirlsp = sum(girlsp)
  /nnarfp  = sum(narfp)
  /nboyss  = sum(boyss)
  /nnarbs  = sum(narbs)
  /ngirlss = sum(girlss)
  /nnarfs  = sum(narfs).

aggregate outfile = 'tmp7.sav'
  /break   = HH6A
  /nboysp  = sum(boysp)
  /nnarbp  = sum(narbp)
  /ngirlsp = sum(girlsp)
  /nnarfp  = sum(narfp)
  /nboyss  = sum(boyss)
  /nnarbs  = sum(narbs)
  /ngirlss = sum(girlss)
  /nnarfs  = sum(narfs).

aggregate outfile = 'tmp8.sav'
  /break   = total
  /nboysp  = sum(boysp)
  /nnarbp  = sum(narbp)
  /ngirlsp = sum(girlsp)
  /nnarfp  = sum(narfp)
  /nboyss  = sum(boyss)
  /nnarbs  = sum(narbs)
  /ngirlss = sum(girlss)
  /nnarfs  = sum(narfs).


get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'
  /file = 'tmp3.sav'
  /file = 'tmp4.sav'
  /file = 'tmp5.sav'
  /file = 'tmp7.sav'
  /file = 'tmp8.sav'.

if (ngirlsp > 0) pgirls = (nnarfp/ngirlsp)*100.
variable label pgirls "Taux net de scolarisation  (TNS), filles".

if (nboysp > 0) pboys = (nnarbp/nboysp)*100.
variable label pboys "Taux net de scolarisation (TNS), garons".

if (pboys > 0) ratio1 = (pgirls/pboys).
variable label ratio1 "Indice de parit entre les sexes (IPS) pour leTNS primaire*".

if (ngirlss > 0) sgirls = (nnarfs/ngirlss)*100.
variable label sgirls "Taux net de scolarisation secondaire (TNS), filles".

if (nboyss > 0) sboys = (nnarbs/nboyss)*100.
variable label sboys "Taux net de scolarisation secondaire (TNS), garons".

if (sboys > 0) ratio2 = (sgirls/sboys).
variable label ratio2 "Indice de parit entre les sexes (IPS) pour le TNS secondaire*".

tables
  /format = zero
  /observation = pgirls pboys ratio1 sgirls sboys ratio2
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6+ HH6A + melevel + wlthind5 + total by 
	   pgirls + pboys + ratio1 + sgirls + sboys + ratio2
  /statistics
    mean(pgirls (f5.1) '')
    mean(pboys (f5.1) '')
    mean(ratio1 (f5.2) '')
    mean(sgirls (f5.1) '')
    mean(sboys (f5.1) '')
    mean(ratio2 (f5.2) '')
  /title
    "Tableau ED.7: Proportion de filles et de garons du primaire et proportion de filles et de garons du secondaire, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 61; MDG Indicateur 9".

new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp2.sav'.
erase file = 'tmp3.sav'.
erase file = 'tmp4.sav'.
erase file = 'tmp5.sav'.
erase file = 'tmp7.sav'.
erase file = 'tmp8.sav'.

