get file = 'hl.sav'.

weight by hhweight.

select if (HL5 >= 5 and HL5 <= 14).

recode HL5 (5 thru 11 = 1) (12 thru 14 = 2) into agegrp.
variable label agegrp "Age".
value label agegrp
  1 "5-11 ans"
  2 "12-14 ans".

recode ED4 (1 = 1) (else = 2) into part.
variable label part "Frquentation scolaire".
value label part 1 "Oui" 2 "Non" .

compute paid = 0.
if (CL3 = 1 and (agegrp = 1 or (agegrp = 2 and CL4 >= 14 and CL4 <= 95)))
  paid = 100.
variable label paid "Travail rmunr".

compute unpaid = 0.
if (CL3 = 2 and (agegrp = 1 or (agegrp = 2 and CL4 >= 14 and CL4 <= 95)))
  unpaid = 100.
variable label unpaid "Travail non rmunr".

compute more4 = 0.
if (CL6 = 1 and  CL7 >= 28 and CL7 <= 95) more4 = 100.
variable label more4 "Travaux domestiques de 28 heures ou plus par semaine".

compute family = 0.
if (CL8 = 1 and (agegrp = 1 or (agegrp = 2 and CL9 >= 14 and CL9 <= 95)))
  family = 100.
variable label family "Travaille dans l'entreprise familiale".

recode CL4 CL9 (98,99,sysmis = 0) .
compute hours1 = CL4 + CL9.
variable label hours1 "Nombre d'heures de travail".

recode hours1 (14 thru 190 = 1) (else = 0) into hours14.
variable label hours14 "Nombre d'heures de travail: 14 ou plus".

compute working = 0.
if (agegrp = 1 and (CL3 = 1 or CL3 = 2 or CL8 = 1 or (CL7 >= 28 and CL7 <= 95))) working
	= 100.
if (agegrp = 2 and ((CL7 >= 28 and CL7 <= 95) or (hours14 = 1))) working = 100.
variable label working "Ensemble travail des enfants*".

compute layer = 0.
variable label layer "".
value label layer 0 "Travaille en dehors du menage".

tables
  /format = zero
  /observation = paid unpaid more4 family working
  /ftotal = tot1 "Total" tot2 "Nombre d'enfants gs de 5-14 ans"
  /tables = HL4 + HH7 + HH6+ HH6A + agegrp + part + melevel + wlthind5 + hc1cee + tot1 
	  by layer > (paid + unpaid) + more4 + family + working + tot2
  /statistics
    mean(paid (f5.1) '')
    mean(unpaid (f5.1) '')
    mean(more4 (f5.1) '')
    mean(family (f5.1) '')
    mean(working (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau CP.2: Poucentage des enfants de 5-14 ans qui ont travaill, selon le type de travail, Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 71".

new file.
