get file = 'hl.sav'.

weight by hhweight.

select if (HL5 >= 5 and HL5 <= 14).

recode HL5 (5 thru 11 = 1) (12 thru 14 = 2) into agegrp.
variable label agegrp "Age".
value label agegrp
  1 "5-11 ans"
  2 "12-14 ans".

recode ED4 (1 = 1) (else = 2) into part.
variable label part "Frquentation scolaire".
value label part 1 "Oui" 2 "Non".

compute apaid = 0.
if (CL3 = 1) apaid = 100.
variable label apaid "Tout travail rmunr en dehors du menage".

compute paid = 0.
if (CL3 = 1 and (agegrp = 1 or (agegrp = 2 and CL4 >= 14 and CL4 <= 95)))  paid = 100.
variable label paid "Travail rmunr ( liminer) en dehors du menage".

compute aunpaid = 0.
if (CL3 = 2) aunpaid = 100.
variable label aunpaid "Tout travail non rmunr en dehors du menage".

compute unpaid = 0.
if (CL3 = 2 and (agegrp = 1 or (agegrp = 2 and CL4 >= 14 and CL4 <= 95))) unpaid = 100.
variable label unpaid "Travail non rmunr ( liminer) en dehors du menage".

compute achores = 0.
if (CL6 = 1) achores = 100.
variable label achores "Travaux domestiques".

compute more4 = 0.
if (CL6 = 1 and CL7 >= 28 and CL7 <= 95) more4 = 100.
variable label more4 "Travaux domestiques de 28 heures ou plus par semaine".

compute afamily = 0.
if (CL8 = 1) afamily = 100.
variable label afamily "Tout travail des enfants".

compute family = 0.
if (CL8 = 1 and (agegrp = 1 or (agegrp = 2 and CL9 >= 14 and CL9 <= 95))) family = 100.
variable label family "Tout travail des enfants ( eliminer)".

compute aworking = 0.
if (CL3 = 1 or CL3 = 2 or (CL6 = 1 and CL7 >= 28 and CL7 <= 95) or CL8 = 1) aworking = 100.
variable label aworking "Ensemble du travail des enfants".

recode CL4 CL9 (98,99,sysmis = 0) .
compute hours1 = CL4 + CL9.
variable label hours1 "Nombre d'heures de travail".

recode hours1 (14 thru 190 = 1) (else = 0) into hours14.
variable label hours14 "Nombre d'heures de travail: 14 ou plus".

compute working = 0.
if (agegrp = 1 and (CL3 = 1 or CL3 = 2 or CL8 = 1 or (CL7 >= 28 and CL7 <= 95))) working = 100.
if (agegrp = 2 and ((CL7 >= 28 and CL7 <= 95) or (hours14 = 1))) working = 100.
variable label working "Ensemble travail des enfants*".

tables
  /format = zero
  /observation = apaid paid aunpaid unpaid achores more4 afamily family aworking working
  /ftotal = tot1 "Total" tot2 "Nombre d'enfants gs de 5-14 ans"
  /table = HL4 + HH7 + HH6+ HH6A + agegrp + part + melevel + wlthind5 + hc1cee + tot1 
	  by apaid + paid + aunpaid + unpaid + achores + more4 + afamily + family + aworking + working + tot2
  /statistics
    mean(apaid (f5.1) '')
    mean(paid (f5.1) '')
    mean(aunpaid (f5.1) '')
    mean(unpaid (f5.1) '')
    mean(achores (f5.1) '')
    mean(more4 (f5.1) '')
    mean(afamily (f5.1) '')
    mean(family (f5.1) '')
    mean(aworking (f5.1) '')
    mean(working (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau CP.2w: Travail des enfants (tableau de travail) : "
		"Pourcentage des enfants de 5-14 ans qui travaillent actuellement et pourcentage de ceux qui ont travaill (pour tre limin), selon le type de travail, Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 71".

new file.
