get file = 'hl.sav'.

weight by hhweight.

select if (HL5 >= 5 and HL5 <= 14).

recode HL5 (5 thru 11 = 1) (12 thru 14 = 2) into agegrp.
variable label agegrp "Age".
value label agegrp
  1 "5-11 ans"
  2 "12-14 ans".

recode CL4 CL9 (98,99,sysmis = 0) .
compute hours1 = CL4 + CL9.
variable label hours1 "Nombre d'heures de travail".

recode hours1 (14 thru 190 = 1) (else = 0) into hours14.
variable label hours14 "Nombre d'heures de travail: 14 ou plus".

compute working = 0.
if (agegrp = 1 and (CL3 = 1 or CL3 = 2 or CL8 = 1 or (CL7 >= 28 and CL7 <= 95))) working
	= 100.
if (agegrp = 2 and ((CL7 >= 28 and CL7 <= 95) or (hours14 = 1))) working = 100.
variable label working "Pourcentage d'enfanst qui travaillent*".

do if (working = 100).
+ compute lbschool = 0.
+ if (ED4 = 1) lbschool  = 100.
+ compute lbtotal = 1.
end if.

variable label  lbschool "Pourcentage d'enfants qui travaillent tout en allant  l'cole**".
variable label lbtotal "Nombre d'enfants gs de 5-14 ans qui travaillent".
value label lbtotal 1 "".

compute school  = 0.
if (ED4 = 1) school  = 100.
variable label  school "Pourcentage d'enfants scolariss***".

do if (school = 100).
+ compute schlabor  = 0.
+ if (working = 100) schlabor  = 100.
+ compute schtotal = 1.
end if.

variable label schlabor "Pourcentage d'lves qui travaillent aussi****".
variable label schtotal "Nombre d'lves gs de 5-14 ans".
value label schtotal 1 "".

compute total = 1.
variable label total "Nombre d'enfants gs de 5-14 ans".
value label total 1 "".

tables
  /format = zero
  /observation = working  school lbschool  schlabor 
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6+ HH6A + agegrp + melevel + wlthind5 + hc1cee + tot1 by 
	  working + school +total+lbschool+lbtotal + schlabor + schtotal
  /statistics
    mean(working (f5.1) '')
    mean(school (f5.1) '')
    mean(lbschool (f5.1) '')
    count(lbtotal (f5.0) '')
    mean(schlabor (f5.1) '')
    count(schtotal (f5.0) '')
    count(total (f5.0) '')
  /title
    "Tableau CP.3: Pourcentage d'enfants de 5-14 ans qui sont des travailleurs-lves  et lves-travailleurs, Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "** MICS Indicateur 72"
    "**** MICS Indicateur 73".

new file.
