get file = "wm.sav".

select if (WM7 = 1).

weight by wmweight.

compute total = 1.
value label total 1 "".
variable label total "Nombre de femmes ges de 15-49 ans".

compute fgm = 0.
do if (FG3 = 1).
+ compute fgm = 100.
+ compute totfgm  = 1.
+ compute fgmtype = 9.
+ if (FG4 = 1 and FG6 <> 1) fgmtype = 1.
+ if (FG5 = 1 and FG6 <> 1) fgmtype = 2.
+ if (FG6 = 1) fgmtype = 3.
+ compute extreme = 0.
+ if (FG4 = 1 and FG6 = 1) extreme = 100.
end if.

variable label fgm "Toute forme d'excision*" .
variable label totfgm  "Nombre de femmes ayant subi l'excision".
value label totfgm 1 "".
variable label fgmtype "Pourcentage de femmes excises qui:".
value label fgmtype 
   1 "Coupures de certaines parties gnitales" 
   2 "Parties gnitales entailles sans rien couper"  
   3 "Zone du vagin ferme par une couture"  
   9 "Formes d'excision non determine".
variable label extreme "A subi une forme extrme de l'excision**".  

recode FG16 (8,9 = 8) into FG16.
variable label FG16 "Rpartition en pourcentage des femmes qui croient que l'excision doit: ".
value label FG16 1 "Maintenue ***" 2 "Disparatre" 3 "Cela dpend" 8 "Ne sait pas/Manquant".

compute anc = 0.
if (FG16AA= "A") anc = 1.
if (anc = 0 and FG16AB= "B") anc = 2.
if (anc = 0 and FG16AC = "C") anc = 3.
if (anc = 0 and FG16AD = "D") anc = 4.
if (anc = 0 and FG16AE = "E") anc = 5.
if (anc = 0 and FG16AF = "F") anc = 6.
if (anc = 0 and FG16AG = "G") anc = 7.
if (anc = 0 and (FG16AX = "X" or FG16AA = "?"))  anc =  8.
if (anc = 0 and FG16AZ = "Z") anc = 9.

variable label anc "Rpartition en pourcentage des femmes pour lesquelles l'excision doit tre maintenue: ".
  value label anc
  0 "Aucune raison"
  1 "Bonne tradition"
  2 "Coutume et tradition"
  3 "Ncessit religieuse"
  4 "Hygine"
  5 "Meilleure chance de mariage"
  6 "Plus grand plaisir du mari"
  7 "Prserve la virginit/vite l'immoralit"
  8 "Autre"
  9 "Ne sait pas/manquant".

compute anc1 = 0.
if (FG16BA= "A") anc1 = 1.
if (anc1 = 0 and FG16BB= "B") anc1 = 2.
if (anc1 = 0 and FG16BC = "C") anc1 = 3.
if (anc1 = 0 and FG16BD = "D") anc1 = 4.
if (anc1 = 0 and FG16BE = "E") anc1 = 5.
if (anc1 = 0 and FG16BF = "F") anc1 = 6.
if (anc1 = 0 and (FG16BX = "X" or FG16BA = "?"))  anc1 = 7.
if (anc1 = 0 and FG16BZ = "Z") anc1 = 8.

variable label anc1 "Rpartition en pourcentage des femmes pour lesquelles l'excision doit disparatre: ".
  value label anc1 
  0 "Aucune raison"
  1 "Mauvaise tradition"
  2 "Contre la religion"
  3 "Complications mdicales"
  4 "Propre exprience douloureuse"
  5 "Contre dignit de la femme"
  6 "Empche satisfaction sexuelle"
  7 "Autre"
  8 "Ne sait pas/manquant".

if (FG1 = 1) heardfgm  = 1.
value label heardfgm 1 "".
variable label heardfgm "Nombre de femmes de 15-49 ayant entendu parler de l'excision".

compute exper = 0.
if (FG3 = 1) exper = 1.
variable label exper "FGM/C exprience".
value label exper 0 "Pas de FGM/C" 1 "A t FGM/C".

tables
  /format = zero 
  /observation = fgm extreme 
  /ftotal = tot1 "Total" tot2 "Total" 
  /table = HH7 + HH6+ HH6A + wage + melevel + exper + wlthind5 +  hc1cee + tot1 by 
	  fgm + total + fgmtype + tot1 + extreme + totfgm + FG16 + tot2 + heardfgm 
  /statistics
    mean(fgm (f5.1) '')
    count(total (f5.0) '')
    cpct(fgmtype (f5.1) '': HH7 HH6 HH6A  wage melevel exper wlthind5 hc1cee)    
    mean(extreme (f5.1) '')
    count(totfgm (f5.0) '')
    cpct(FG16 (f5.1) '': HH7 HH6  HH6A wage melevel exper wlthind5 hc1cee)
    count(heardfgm (f5.0) '')
 /title
    "Tableau CP.7A: Pourcentage des femmes de 15-49 ans ayant subi une mutilation gnitale fminine (MGF) selon le type de MGF, " +
		"Pourcentage de celles qui ont subi la forme extrme de MGF (infibulation), Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 63"
    "** MICS Indicateur 64"
    "*** MICS Indicateur 66".

tables
  /format = zero 
  /ftotal = tot1 "Total" tot2 "Total" 
  /table = HH7 + HH6+ HH6A + wage + melevel + exper + wlthind5 +  hc1cee + tot1 by anc + anc1 + tot2 + heardfgm 
  /statistics
    cpct(anc (f5.1) '': HH7 HH6 HH6A wage melevel exper wlthind5 hc1cee)
    cpct(anc1 (f5.1) '': HH7 HH6 HH6A wage melevel exper wlthind5 hc1cee)
    count(heardfgm (f5.0) '')
 /title
    "Tableau CP.7B: Pourcentage des femmes de 15-49 ans qui ont entendu parler de la MGF selon les attitudes vis--vis de cette pratique, Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 63"
    "** MICS Indicateur 64"
    "*** MICS Indicateur 66".

new file.
