get files="hl.sav".

weight by hhweight.

select if (HL5 >= 2 and HL5 <= 9).

recode HL5 (2 thru 4 = 1) (5 thru 6 = 2) (7 thru 9 = 3) into agegrp.
variable label agegrp "Age of child".
value label agegrp 
	1 "2-4" 
	2 "5-6"
	3 "7-9".

compute delay = 0.
if (DA3 = 1) delay = 100.
variable label delay "Retard pour s'asseoir, se lever ou marcher".

compute seeing = 0.
if (DA4 = 1) seeing = 100.
variable label seeing "Difficult de voir pendant la journe ou pendant la nuit".

compute hearing = 0.
if (DA5 = 1) hearing = 100.
variable label hearing "Semble avoir des difficults pour entendre".

compute nounders = 0.
if (DA6 = 2) nounders = 100.
variable label nounders "Ne comprends pas les instructions".

compute dwalk = 0.
if (DA7 = 1) dwalk = 100.
variable label dwalk "Difficult de marcher, bouger les bras, faiblesse et/ou rigidit dans les bras ou les jambes".

compute hfits = 0.
if (DA8 = 1) hfits = 100.
variable label hfits "Pique des crises, devient rigide, perd conscience".

compute nlearn = 0.
if (DA9 = 2) nlearn = 100.
variable label nlearn "N'apprend pas  faire les choses comme les enfants de son ge".

compute nospeak = 0.
if (DA10 = 2) nospeak = 100.
variable label nospeak "Ne parle pas/ ne peut pas tre compris".

compute mentally = 0.
if (DA13 = 1) mentally = 100.
variable label mentally "Apparat mentalement attard, ou lent d'esprit ".

compute disabil = 0.
if (delay = 100 or seeing = 100 or hearing  = 100 or nounders = 100 or 
  dwalk = 100 or hfits = 100 or nlearn = 100 or nospeak = 100 or 
	mentally = 100) disabil = 100. 
variable label disabil "Pourcentage d'enfants de 2-9 ans avec au moins un handicap*".

do if (HL5 >=3 and HL5 <= 9).
+ compute speech = 0.
+ if (DA11 = 1) speech = 100.
+ compute total39 = 1.
end if.
variable label speech "La locution n'est pas normale".
variable label total39 "Nombre d'enfants gs de 3-9 ans".
value label total39 1 "".

do if (HL5 = 2).
+ compute cname = 0.
+ if (DA12 = 2) cname = 100.
+ compute total2 = 1.
end if.
variable label cname "Incapable de nommer au moins un objet".
variable label total2 "Nombre d'enfants gs de 2 ans".
value label total2 1 "".

compute total = 1.
variable label total "Nombre d'enfants gs de 2-9 ans".

compute layer = 0.
variable label layer "".
value label layer 0 "Pourcentage d'enfants de 2-9 ans dclars handicaps selon la nature de l'handicap".

tables
  /format = zero
  /observation = delay seeing hearing nounders dwalk hfits nlearn nospeak 
	  mentally disabil speech cname 
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + agegrp + melevel + wlthind5 + hc1a + hc1cp + hc1ce + hc1cee + tot1 by 
	  layer > (delay + seeing + hearing + nounders + dwalk + hfits + nlearn + nospeak 
		+ mentally + disabil) + total + speech + total39 + cname + total2
  /statistics
    mean(delay (f5.1) '')
    mean(seeing (f5.1) '')
    mean(hearing (f5.1) '')
    mean(nounders (f5.1) '')
    mean(dwalk (f5.1) '')
    mean(hfits (f5.1) '')
    mean(nlearn (f5.1) '')
    mean(nospeak (f5.1) '')
    mean(mentally (f5.1) '')
    mean(disabil (f5.1) '')
    count(total (f5.0) '')
    mean(speech (f5.1) '')
    count(total39 (f5.0) '')
    mean(cname (f5.1) '')
    count(total2 (f5.0) '')
 /title
    "Tableau CP.10: Handicap de l'enfant: "
		"Pourcentage d'enfants gs de 2-9 ans avec un handicap rapport par leur mre/tutrice selon la nature de l' handicap, "+
		"Cte d'Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicateur 101".

new file.
