get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y").

compute total = 1.
variable label total "Nombre de femmes ayant donn des naissances au cours des 2 dernires annes prcdent l'enqute".
value label total 1 "".

compute anc = 0.
if (MN2A = "A" or MN2B = "B" or MN2C = "C") anc = 100.
variable label anc "Ont reu des soins prnatals d'un professionel de sant au cours de la dernire grossesse".

recode MN4 (1 = 100) (else = 0) into hivprev.
variable label hivprev "Ont reu des informations sur le SIDA durant les visites prnatals*".

recode MN5 (1 = 100) (else = 0) into hivtest.
variable label hivtest "Ont effectu un test du VIH dans le cadre des soins prnatals".

recode MN6 (1 = 100) (else = 0) into hivresp.
variable label hivresp "Ont reu les rsultats du test VIH dans le cadre des soins prnatals**".

recode wage (5 thru 7 = 5).
value label wage 1 "15-19" 2 "20-24" 3 "25-29" 4 "30-34" 5 "35-49".

compute layer = 0.
variable label layer "".
value label layer 0 "Pourcentage de femmes qui:".

tables
  /format = zero
  /observation = anc hivprev hivtest hivresp
  /ftotal = tot1 "Total"
  /table = HH7 + HH6+ HH6A + wage + melevel + wlthind5 + hc1cee + tot1 by 
	  layer > (anc + hivprev + hivtest + hivresp) + total
  /statistics
    mean(anc (f5.1) '')
    mean(hivprev (f5.1) '')
    mean(hivtest (f5.1) '')
    mean(hivresp (f5.1) '')
    count(total (f5.0) '')
  /title
    "Tableau HA.7: Pourcentage de femmes de 15-49 ans qui ont donn naissance dans les deux annes prcdant l'enqute "
		"et qui ont fait leur test de VIH et ont reu des conseils sur le SIDA au cours d'une visite prnatale, Cte d'Ivoire, 2006" 
  /caption
    "* MICS Indicateur 90"
    "** MICS Indicateur 91".

new file.
