get file = 'hl.sav'.

weight by hhweight.

select if (HL5 >= 0 and HL5 <= 17).

recode HL5 (0 thru 4 = 1) (5 thru 9 = 2) (10 thru 14 = 3) (15 thru 17 = 4) into agegrp.
variable label agegrp "Age".
value label agegrp
  1 "0-4 ans"
  2 "5-9 ans"
  3 "10-14 ans"
  4 "15-17 ans".

compute status = 0.
if (HL9 = 1 and HL10 <> 0 and HL11 = 1 and HL12 <> 0) status = 1.
if (HL9 = 2 and HL11 = 1 and HL12 = 0) status = 2.
if (HL9 = 1 and HL10 = 0 and HL11 = 2) status = 3.
if (HL9 = 1 and HL10 = 0 and HL11 = 1 and HL12 = 0) status = 4.
if (HL9 = 2 and HL11 = 2) status = 5.
if (HL9 = 1 and HL10 <> 0 and HL11 = 1 and HL12 = 0) status = 6.
if (HL9 = 1 and HL10 <> 0 and HL11 = 2) status = 7.
if (HL9 = 1 and HL10 = 0 and HL11 = 1 and HL12 <> 0) status = 8.
if (HL9 = 2 and HL11 = 1 and HL12 <> 0) status = 9.
if (HL9 = 8 or HL9 = 9 or HL11 = 8 or HL11 = 9) status = 10.

variable label status "".
value label status
  1 "Vivant avec les 2 parents"
  2 "Seulement le pre en vie"
  3 "Seulement la mre en vie"
  4 "Les deux parents sont vivants"
  5 "Les deux parents sont dcds"
  6 "Pre en vie"
  7 "Pre dcd"
  8 "Mre en vie"
  9 "Mre dcde"
  10 "Impossible  dterminer".

recode status (1=1) (2 thru 5=2) (6 thru 7=3) (8 thru 9=4) (10=5) into status1.
variable label status1 "".
value label status1 
  1 " "
  2 "Vivant avec aucun parent"
  3 "Vivant seulement avec la mre"
  4 "Vivant seulement avec le pre"
  5 " ".

compute noparent = 0.
if (status1 = 2) noparent = 100.
variable label noparent "Ne vit pas avec un parent biologique*".

compute oneboth = 0.
if (HL9 = 2 or HL11 = 2) oneboth = 100.
variable label oneboth "L'un ou les 2 parents sont dcds**".

tables
  /format = zero
  /observation = noparent oneboth 
  /ftotal = tot1 "Total" tot2 "Nombre d'enfants"
  /table = HL4 + HH7+ HH6+ HH6A + agegrp + wlthind5 + hc1cee + tot1 by 
	  status1 > status + tot1 + noparent + oneboth + tot2
  /statistics
    cpct(status (f5.1) '': HL4 HH7 HH6 HH6A agegrp wlthind5 hc1cee)
    mean(noparent (f5.1) '')
    mean(oneboth (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau HA.10: Pourcentage des enfants de 0-17 ans vivant dans le mnage avec un parent biologique, et pourcentage des enfants orphlins, Cte d'Ivoire, 2006"  
  /caption
    "* MICS Indicateur 78"
    "** MICS Indicateur 75".

new file.
