get file = 'hl.sav'.

weight by hhweight.

recode HL5 (0 thru 4 = 1) (5 thru 9 = 2) (10 thru 14 = 3) (15 thru 17 = 4) into agegrp.
variable label agegrp "Age".
value label agegrp
  1 "0-4 ans"
  2 "5-9 ans"
  3 "10-14 ans"
  4 "15-17 ans".

compute ill = 0.
if (HL10 = 1 or HL12 = 1) ill = 100.
variable label ill "Parent chroniquement malades".

**compute death = 0.
**if (OV4 = 1) death = 100.
**variable label death "Adulte dcd dans un mnage".

compute chroill = 0.
if (HL8 >= 1) chroill = 100.
variable label chroill "Adultes chroniquement malades dans un mnage".

compute vulne = 0.
if (ill = 100 or chroill = 100) vulne = 100.
variable label vulne "Enfants vulnrables*".

compute oneboth = 0.
if (HL9 = 2 or HL11 = 2) oneboth = 100.
variable label oneboth "L'un ou les 2 parents sont dcds**".

compute orphans = 0.
if (vulne = 100 or oneboth = 100) orphans = 100.
variable label orphans "Enfants orphlins et vulnrables".

select if (HL5 >= 0 and HL5 <= 17).

tables
  /format = zero
  /observation = ill chroill vulne oneboth orphans
  /ftotal = tot1 "Total" tot2 "Nombre d'enfants gs de 0-17 ans"
  /tables = HL4 + HH7 + HH6+ HH6A + agegrp + wlthind5 + hc1cee + tot1 by
	  ill + chroill + vulne + oneboth + orphans + tot2
  /statistics
    mean(ill (f5.1) '')
    mean(chroill (f5.1) '')
    mean(vulne (f5.1) '')
    mean(oneboth (f5.1) '')
    mean(orphans (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Tableau HA.11: Prvalence des enfants orphlins et vulnrables:"
		"Pourcentage ds enfants gs de  0-17 ans qui sont orphlins ou vulnrables "+
		" cause du VIH SIDA, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 76"
		"** MICS Indicateur 75".

new file.
