get file = 'hl.sav'.

weight by hhweight.

recode HL5 (0 thru 4 = 1) (5 thru 9 = 2) (10 thru 14 = 3) (15 thru 17 =4) into agegrp.
variable label agegrp "Age".
value label agegrp
  1 "0-4 ans"
  2 "5-9 ans"
  3 "10-14 ans"
  4 "15-17 ans".

compute ill = 0.
if (HL10 = 1 or HL12 = 1) ill = 100.
variable label ill "Chroniquement malades".

compute chroill = 0.
if (HL8 >= 1) chroill = 100.
variable label chroill "Adultes chroniquement malades dans le mnage".

compute vulne = 0.
if (ill = 100 or chroill = 100) vulne = 100.
variable label vulne "Enfants vulnrables".

compute oneboth = 0.
if (HL9 = 2 or HL11 = 2) oneboth = 100.
variable label oneboth "L'un ou les 2 parents sont dcds".

compute orphans = 0.
if (vulne = 100 or oneboth = 100) orphans = 100.
variable label orphans "Enfants orphlins et vulnrables".

select if (orphans = 100 and HL5 >= 0 and HL5 <= 17).

compute torphans = 1.
value label torphans 1 "".
variable label torphans "Nombre d'enfants orphlins et vulnrables gs de 0-17 ans".

compute any = 0.
if (HL5 >= 0 and HL5 <= 4) any = 100.
if (HL5 >= 5 and HL5 <= 17) any = 100.
variable label any "N'importe quel support*".

compute alltype = 0.
if (HL5 >= 0 and HL5 <= 4) alltype = 100.
if (HL5 >= 5 and HL5 <= 17) alltype = 100.
variable label alltype "Tout types de support".

recode any (100 = 0) (0 = 100) into nosupp.
variable label nosupp "Pas de support du tout".

compute layer = 0.
variable label layer "".
value label layer 0 "% d'enfants orphlins et vulnrables qui ont reus:".

tables
  /format = zero
  /observation = any alltype nosupp torphans 
  /ftotal = tot1 "Total" tot2 "Nombre d'enfants"
  /tables = HL4 + HH7 + HH6+ HH6A + agegrp + wlthind5 + hc1cee + tot1 by 
	  layer > (any + alltype + nosupp) + torphans
  /statistics
    cpct(any (f5.1) '')
    cpct(alltype (f5.1) '')
    cpct(nosupp (f5.1) '')
    sum(torphans (f5.0) '')
  /title
  /title
    "Tableau HA.13: Soutien pour les enfants orphlins et vulnrables  cause du SIDA:"
		"Pourcentage des enfants gs de 0-17 ans orphlins ou rendus vulnrables  cause du SIDA dont "+
		"le mnage reoit des soutiens extrieurs libre pour le soin de l'enfant, Cte d'Ivoire, 2006"
  /caption
    "* MICS Indicateur 81".

new file.
