get file = 'wm.sav'.

weight by wmweight.

select if (WM7 = 1 and CM1 = 1).

* calculate the CMC date of interview.
compute cmcdoiw = (WM6Y - 1900)*12 + WM6M.
variable label cmcdoiw "Date d'interview des femmes (Code Mois Sicle)".

* set random number seed.
set seed = 1003.

* calculate months since last birth IF last birth in last two years.
do if (CM11Y < 9996 and CM11M < 96).
+ compute wdolb = (CM11Y - 1900)*12 + CM11M.
else if (CM11Y < 9996).
+ compute udolb = (CM11Y - 1900)*12 + 12.
+ if (udolb > cmcdoiw) udolb = cmcdoiw.
+ compute ldolb = (CM11Y - 1900)*12 + 1.
+ compute wdolb = trunc(rv.uniform(ldolb,udolb)).
end if.
variable label wdolb "Date of last birth (CMC)".

compute mslbrth = cmcdoiw - wdolb.
variable label mslbrth "Depuis la dernire naissance du mois".
format mslbrth (f3.0).

select if (mslbrth <= 35).

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = mslbrth + tot1 by (statistics)
  /statistics
    count(mslbrth (f5.0) 'Nombre')
    cpct(mslbrth (f5.1) 'Pourcentage': )
  /title
    "Tableau DQ.10: Rpartition des femmes ges de 15-49 ans ayant au moins un enfant n vivant, par nombre de mois depuis le dernier accouchement (pondr), Cte d'Ivoire, 2006".

new file.