get files='hl.sav'.

select if (hl5 >= 10 and hl5 <= 54 and hl4 = 2).
recode hl5 (10 thru 14 = 0)  (15 thru 19 = 1) (20 thru 24 = 2) (25 thru 29 = 3) (30 thru 34 = 4) 
	(35 thru 39 = 5) (40 thru 44 = 6) (45 thru 49 = 7) (50 thru 54 = 8) into hlage.
variable label hlage "Age".
value label hlage
  0 "10-14 ans"
  1 "15-19 ans"
  2 "20-24 ans"
  3 "25-29 ans"
  4 "30-34 ans"
  5 "35-39 ans"
  6 "40-44 ans"
  7 "45-49 ans"
  8 "50-54 ans".

weight by hhweight.

compute t1054 = 1.
if (hl5 >= 15 and hl5 <= 49) t1549 = 1.


if (hl5 >= 15 and hl5 <= 49) total = 1.
variable label total "15-49 ans".
value label total 1 "".



aggregate outfile ='tmp1.sav'
  /break   = hlage
  /tt1054  = sum(t1054)
  /tt1549  = sum(t1549).


aggregate outfile = 'tmp2.sav'
  /break   = total
  /tt1054  = sum(t1054)
  /tt1549  = sum(t1549).

get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'.

sort cases by hlage total.

save out='tmp1.sav'.

get files="hl.sav"
 /keep HH1 HH2 HL1 HL5 hhweight
 /rename (HL1=LN).
sort cases hh1 hh2 ln.
save out="tmp1c.sav".


get file='WM.SAV'.

sort cases by HH1 HH2 ln.

match files 
 /file=*
 /table='tmp1c.sav'
 /by HH1 HH2 ln.

compute total  = 1.
variable label total "Total".
value label total 1 "".

weight by hhweight.

select if (WM7 = 1).

recode hl5 (10 thru 14 = 0)  (15 thru 19 = 1) (20 thru 24 = 2) (25 thru 29 = 3) (30 thru 34 = 4) 
	(35 thru 39 = 5) (40 thru 44 = 6) (45 thru 49 = 7) (50 thru 54 = 8) into hlage.
variable label hlage "Age".
value label hlage
  0 "10-14 ans"
  1 "15-19 ans"
  2 "20-24 ans"
  3 "25-29 ans"
  4 "30-34 ans"
  5 "35-39 ans"
  6 "40-44 ans"
  7 "45-49 ans"
  8 "50-54 ans".


compute t1549i = 0.
if (WM7 = 1) t1549i = 1.

if (WM7 = 1) elig = 1.

aggregate outfile ='tmp3.sav'
  /break   = hlage
  /tt1549i = sum(t1549i)
  /telig  = sum(elig).

aggregate outfile = 'tmp4.sav'
  /break   = total
  /tt1549i = sum(t1549i)
  /telig  = sum(elig).

get file = 'tmp3.sav'.

add files
  /file = *
  /file = 'tmp4.sav'.
sort cases by hlage total.
save out='tmp3.sav'.

get file='tmp1.sav'.

match files 
 /file=*
 /table='tmp3.sav'
 /by  hlage total.

variable label tt1054 "Population feminines gs de 10-54 ans dans les mnages".
variable label tt1549i "Femmes de 15-49 ans interroges".

compute pelig = (tt1549i/tt1549)*100.
variable label pelig "Pourcentage de femmes concernes interroges".

tables
  /format = zero
  /observation= tt1054 tt1549i pelig
  /table= hlage + total by tt1054 + tt1549i + pelig 
  /statistics
    sum(tt1054 (f5.0) 'Nombre')
    sum(tt1549i (f5.0) 'Nombre')
    spct(tt1549i (f5.1) 'Pourcentage')
    means(pelig (f5.1) ' ')
  /title
    "Tableau DQ.2: Rpartition par groupes d'ges de cinq ans de la population fminine des mnages ge de 10-54 ans, des femmes de 15-49 ans " +
                              "interroges et du pourcentage des femmes concernes effectivement interoges (pondr), Cte d'Ivoire, 2006"
  /caption
    "Remarque : Les pondrations de la population fminine des mnages et des femmes"
    "interroges sont celles des mnages. L'ge repose sur le questionnaire ddi aux mnages.".

new file.
erase file 'tmp1.sav'.
erase file 'tmp2.sav'.
erase file 'tmp3.sav'.
erase file 'tmp4.sav'.
erase file 'tmp1c.sav'.