get files="hl.sav".

weight by hhweight.

select if (hl5 >= 0 and hl5 <= 7).

if (HL5 <= 4) t04 = 1.
compute t07 = 1.

if (HL5 <= 4) total = 1.
variable label total "0-4 ans".
value label total 1 "".

aggregate outfile = 'tmp1.sav'
 /break = hl5
 /tt07 = sum(t07)
 /tt04 = sum(t04).

aggregate outfile = 'tmp2.sav'
  /break  = total
  /tt07 = sum(t07)
  /tt04 = sum(t04).

get file = 'tmp1.sav'.

add files
  /file = *
  /file = 'tmp2.sav'.

sort cases by hl5 total.
save out="tmp1.sav".

get files="hl.sav"
 /keep HH1 HH2 HL1 HL5 hhweight
 /rename (HL1=LN).
sort cases hh1 hh2 ln.
save out="tmp1c.sav".


get file="ch.sav".

sort cases by hh1 hh2 ln.

match files 
 /file=*
 /table='tmp1c.sav'
 /by HH1 HH2 ln .

select if (uf9 = 1).
weight by hhweight.

compute t04i = 0.
compute t04i = 1.

compute total  = 1.
variable labels total "0-4 ans".
value labels total 1 "".

aggregate outfile = 'tmp3.sav'
 /break = hl5
 /tt04i = sum(t04i).

aggregate outfile = 'tmp4.sav'
  /break  = total
  /tt04i = sum(t04i).

get file = 'tmp3.sav'.

add files
  /file = *
  /file = 'tmp4.sav'.
sort cases by hl5 total.
save out="tmp3.sav".


get file='tmp1.sav'.

match files 
 /file=*
 /table='tmp3.sav'
 /by  hl5 total.

variable label tt07 "Population infantile des mnages ge de 0-7 ans".
variable label tt04i "Questionnaire pour enfant de 0-4 ans".

compute pelig = (tt04i/tt04)*100.
variable label pelig "Pourcentage d'enfants concerns interrogs".

tables
  /format = zero
  /observation= tt07 tt04i pelig
  /table= HL5+total by tt07 + tt04i +pelig 
  /statistics
    sum(tt07 (f5.0) 'Nombre')
    sum(tt04i (f5.0) 'Nombre')
    spct(tt04i (f5.1) 'Pourcentage')
    means(pelig (f5.1) ' ')
  /title
    "Tableau DQ.3: Rpartition par groupes d'ges de cinq ans de la population"
                              "infantile des mnages ge de 0-4 ans, des enfants dont la mre ou la personne"
                              "en charge a t interroge et pour pourcentage d'enfants de moins de 5 ans"
                              "dont la mre ou personne en charge a t interrog (pondr), Cte d'Ivoire, 2006"
  /caption
    "Remarque : Les pondrations de la population infantile des mnages et des enfants interrogs " +
                         "sont celles des mnages. L'ge repose sur le questionnaire administr aux mnages.".


new file.
erase file 'tmp1.sav'.
erase file 'tmp2.sav'.
erase file 'tmp3.sav'.
erase file 'tmp4.sav'.
erase file 'tmp1c.sav'.