get file = 'hl.sav' /keep hh1 hh2 hl1 hl4 /rename (hl1 = ln).
sort cases by HH1 HH2 LN.
save outfile = 'tmp.sav'.

get file = 'ch.sav'.

sort cases by HH1 HH2 LN.
match files
  /file = *
  /table = 'tmp.sav'
  /by HH1 HH2 LN.

select if (UF9 = 1).

weight by chweight.

* calculate CMC date of birth and age (in months).
do if (UF10Y < 9996 and UF10M < 96).
+ compute cdob = (UF10Y - 1900)*12 + UF10M.
else if (UF10Y < 9996).
+ compute aldob = cmcdoic - (UF11*12) - 11.
+ compute audob = cmcdoic - (UF11*12) - 0.
+ compute ldob = (UF10Y - 1900)*12 + 1.
+ compute udob = (UF10Y - 1900)*12 + 12.
+ if (ldob >= aldob & ldob <= audob) cdob = trunc(rv.uniform(ldob,audob)).
+ if (aldob >= ldob & aldob <= udob) cdob = trunc(rv.uniform(aldob,udob)).
+ if (ldob > audob | aldob > udob) cdob = trunc(rv.uniform(aldob,audob)).
else.
+ compute aldob = cmcdoic - (UF11*12) - 11.
+ compute audob = cmcdoic - (UF11*12) - 0.
+ compute cdob = trunc(rv.uniform(aldob,audob)).
end if.
if (cmcdoic - cdob = 60) cdob = cdob + 1.
if (cdob <> 9999) cage = cmcdoic - cdob.

compute agem = trunc(cage/3).
variable label agem "Age en mois".
value label agem
	0 	"0-2 mois"
	1 	"3-5 mois"
 	2	"6-8 mois"
 	3 	"9-11 mois"
 	4 	"12-14 mois"
 	5 	"15-17 mois"
 	6 	"18-20 mois"
 	7 	"21-23 mois"
 	8 	"24-26 mois"
 	9 	"27-29 mois"
 	10 	"30-32 mois"
 	11 	"33-35 mois"
 	12 	"36-38 mois"
 	13 	"39-41 mois"
 	14 	"42-44 mois"
 	15 	"45-47 mois"
 	16	"48-50 mois"
 	17 	"51-53 mois"
 	18 	"54-56 mois"
 	19 	"57-59 mois".

variable label hl4 ''.

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = agem + tot1 by hl4 + tot1
  /statistics
    count(hl4 (f5.0) "Nombre")
    cpct(hl4 (f5.1) "Pourcentage": hl4)
  /title
    "Tableau DQ.4: Rpartition par groupe d'ge de 3 mois des enfants de moins de 5 ans (pondre), Cte d'Ivoire, 2006".

new file.
erase file 'tmp.sav'.