get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

compute mwmb   = 0.
compute mwmyb = 0.
if ((WM8M = 98 or WM8M = 99) and WM8Y < 9998) mwmb = 100.  
if (WM8M >= 98 and WM8Y >= 9998) mwmyb = 100.  
variable label mwmb "Seulement le mois de naissance".
variable label mwmyb "Mois et anne de naissance".

do if (CM1 = 1).
+ compute mwmlb   = 0.
+ compute mwmylb = 0.
+ if (CM11M >= 98 and CM11Y < 9998) mwmlb = 100.  
+ if (CM11M >= 98 and CM11Y >= 9998) mwmylb = 100.  
+ variable label mwmlb "Seulement la dernire naissance du mois".
+ variable label mwmylb "Mois et la dernire naissance de l'anne".

end if.

tables
  /format = zero
  /observation= mwmb mwmyb mwmlb mwmylb  
  /table= mwmb + mwmyb + mwmlb + mwmylb by (statistics)
  /statistics
    mean(mwmb (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mwmb (F5.0) 'Nombre de cas')
    mean(mwmyb (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mwmyb (F5.0) 'Nombre de cas')
    mean(mwmlb (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mwmlb (F5.0) 'Nombre de cas')
    mean(mwmylb (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mwmylb (F5.0) 'Nombre de cas')
  /title
    "Tableau DQ.6: Pourcentage des renseignements manquants pour les questions et indicateurs choisis (pondr), Cte d'Ivoire, 2006"
  /caption "* Inclut les rponses << Ne sait pas >>".



get file = 'ch.sav'.

select if (UF9 = 1).

weight by chweight.

compute mmb = 0.
compute myb  = 0.
if (UF10M >= 98 and UF10Y < 9998) mmb = 100.
if (UF10M >= 98 and UF10Y >= 9998) myb = 100.
variable label mmb "Seulement le mois de naissance des enfants de moins de 5 ans".
variable label myb "Mois et anne de naissance des enfants de moins de 5 ans".

recode AN1 (99.0 thru 99.9 = 100) (else = 0) into mweight.
variable label mweight "Poids".

recode AN2 (999.0 thru 999.9 = 100) (else = 0) into mheight.
variable label mheight "Taille".

compute mhw = 0.
if (mweight = 100 or mheight = 100) mhw  = 100.
variables labels mhw "Taille ou Poids".

tables
  /format = zero
  /observation= mmb myb mweight mheight mhw
  /table= mmb+ myb + mweight + mheight + mhw  by (statistics)
  /statistics
    mean(mmb (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mmb (F5.0) 'Nombre de cas')
    mean(myb (F5.1) 'Pourcentage de renseignements manquants*')
    validn(myb (F5.0) 'Nombre de cas')
    mean(mweight (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mweight (F5.0) 'Nombre de cas')
    mean(mheight (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mheight (F5.0) 'Nombre de cas')
    mean(mhw (F5.1) 'Pourcentage de renseignements manquants*')
    validn(mhw (F5.0) 'Nombre de cas')
  /title
    "Tableau DQ.6: Pourcentage des renseignements manquants pour les questions et indicateurs choisis (pondr), Cte d'Ivoire, 2006"
  /caption "* Inclut les rponses << Ne sait pas >>".

new file.
