get file = 'hl.sav'.
sort cases by hh1 hh2 hl1.

save outfile='tmp.sav' /keep hh1 hh2 hl1 hl4 hl5 /rename (hl1=hl8) (hl4=ctsex) (hl5=ctage).

* Choose only the children under 5.
select if (hl5 >= 0 and hl5 <= 4).

* Sort data according to caretaker's line number.
sort cases by hh1 hh2 hl8.
* Add sex of caretaker to household listing file.
match files
  /file = *
  /table = 'tmp.sav'
  /by HH1 HH2 HL8.

weight by hhweight.

compute mother = 2.
if (hl10 > 0) mother = 1.

compute inter = 9.
if (hl8 = hl10) inter = 1.
if (hl8 = hl12) inter = 2.
if (inter = 9 and ctsex = 2 and ctage >= 15) inter = 3.
if (inter = 9 and ctsex = 1 and ctage >= 15) inter = 4.
if (inter = 9 and ctage < 15) inter = 5.

value labels mother 1 "Mre vivant dans le mme mnage" 2 "Mre ne vivant pas dans le mme mnage".
value labels inter 
    1 "Mre interroge" 
    2 "Pre interrog" 
    3 "Autre femme adulte interroge"
    4 "Autre homme adulte interrog"
    5 "Enfants de (<15) interrog"
    9 "Autre personne interrog".

compute total = 1.
value label total 1 "Nombre d'enfants gs de 0-4 ans".

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = hl5 + tot1 by mother > inter + tot1 + total
  /statistics
  cpct( inter( F5.1 ) '':hl5 )
  /title
    "Tableau DQ.7: Rpartition des enfants de moins de 5 ans par statut de prsence de la mre dans le mme mnage et par personne " +
    "interrog pour le questionnaire ddi aux moins de 5 ans (pondr), Cte d'Ivoire, 2006".

new file.
erase file 'tmp.sav'.
