*get file = 'hh.sav'.
get file = 'hh.sav'.

select if (hh9 = 1).


* check frequency distribution of variables, look for missing values.

frequencies
  variables=hc2 hc3 hc4 hc5 hc6
		hc9a hc9b hc9c hc9d hc9e hc9f hc9g hc9h hc9i
		hc10a hc10b hc10c hc10d hc10e hc10f hc10g hc10h hc10i
		hc11 hc12 hc13 hc14a hc14b hc14c hc14d hc14e hc14f hc14g
                        ws1 ws2 ws7
  /statistics=stddev mean
  /order=analysis .


* check frequency distribution of variables, look for missing values.
* begin recoding, dichotomous variables or continuous variables.

* persons per sleeping room.

compute persroom = 99.
if (hc2 < 98) persroom = hh11/hc2.
variable label persroom 'Nombre de pices pour dormir'.
missing values persroom (99).

* type of floor.

compute flres = 0.
if ( hc3  = 11) flres = 1.
if (hc3  >= 98) flres = 9.
variable label flres 'Principal matriau du sol : Terre/sable'.
value label flres 0 'Pas de terre/sable' 1 'Terre/sable' 9 'Manquant'.
missing values flres (9).

compute flrcer = 0.
if (hc3  = 33 ) flrcer = 1.
if ( hc3  >= 98) flrcer = 9.
variable label flrcer 'Principal matriau du sol : carrelage/marbre'.
value label flrcer 0 'Pas de carrelage/marbre' 1 'Carrelage/marbre' 9 'Manquant'.
missing values flrcer (9).

compute flrtap = 0.
if (hc3 = 35) flrtap = 1.
if ( hc3  >= 98) flrtap = 9.
variable label flrtap 'Principal matriau du sol : Moquette/tapis' .
value label flrtap 0 'Pas de moquette/tapis' 1 'Moquette/tapis' 9 'Manquant'.
missing values flrtap (9).

compute flrcem = 0.
if ( hc3  = 34) flrcem = 1.
if ( hc3  >= 98) flrcem = 9.
variable label flrcem 'Principal matriau du sol : Ciment'.
value label flrcem 0 'Pas de ciment' 1 'A du ciment' 9 'Manquant'.
missing values flrcem (9).


* type of roof.

compute rooflf = 0.
if (hc4 = 12) rooflf = 1.
if (hc4 >= 98) rooflf = 9.
variable label rooflf 'Principal matriau du toit : Chaume/feuille de palm'.
value label rooflf 	1 'Chaume/feuille de palm' 9 'Manquant'.
missing values rooflf (9).

compute rooflf2 = 0.
if (hc4 = 21 or hc4=22 or hc4=23) rooflf2 = 1.
if (hc4 >= 98) rooflf2 = 9.
variable label rooflf2 'Principal matriau du toit : Natte/Fibre vgtale_palmes_Bambou/Planches de bois'.
value label rooflf2 1 'Natte/Fibre vgtale_palmes_Bambou/Planches de bois' 9 'Manquant'.
missing values rooflf2 (9).

compute rooflf3 = 0.
if (hc4 = 32 ) rooflf3 = 1.
if (hc4 >= 98) rooflf3 = 9.
variable label rooflf3 'Principal matriau du toit :Bois'.
value label rooflf3 1 'Bois' 9 'Manquant'.
missing values rooflf3 (9).

compute rooflf4 = 0.
if (hc4 = 34 ) rooflf4 = 1.
if (hc4 >= 98) rooflf4 = 9.
variable label rooflf4 'Principal matriau du toit : Tuiles_Evrite'.
value label rooflf4 1 'Tuiles_Evrite' 9 'Manquant'.
missing values rooflf4 (9).

compute rooflf5 = 0.
if (hc4 = 35 ) rooflf5 = 1.
if (hc4 >= 98) rooflf5 = 9.
variable label rooflf5 'Principal matriau du toit : Ciment/Bton'.
value label rooflf5 1 'Ciment/Bton' 9 'Manquant'.
missing values rooflf5 (9).

compute rooflf6 = 0.
if (hc4 = 37 ) rooflf6 = 1.
if (hc4 >= 98) rooflf6 = 9.
variable label rooflf6 'Principal matriau du toit : Toile en plastique'.
value label rooflf6 1 'Toile en plastique' 9 'Manquant'.
missing values rooflf6 (9).

compute roofmetl = 0.
if (hc4 = 31) roofmetl = 1.
if (hc4 >= 98) roofmetl = 9.
variable label roofmetl 'Principal matriau du toit :Tle'.
value label roofmetl 0 'Pas de tle' 1 'Tle' 9 'Manquant'.
missing values roofmetl (9).


* type of wall.

compute wallno = 0.
if (hc5= 11) wallno = 1.
if (hc5>= 98) wallno = 9.
variable label wallno 'Principal matriau des murs : Matriau naturel'.
value label wallno 0 'A du mur' 1 'Pas de mur' 9 'Manquant'.
missing values wallno (9).

compute wallbam = 0.
if (hc5= 12 or hc5=13) wallbam = 1.
if (hc5>= 98) wallbam = 9.
variable label wallbam 'Principal matriau des murs : Canne_Palmes_Troncs/Motte de terre'.
value label wallbam 1 'Canne_Palmes_Troncs/Motte de terre' 9 'Manquant'.
missing values wallbam (9).

compute wallbam2 = 0.
if (hc5= 21) wallbam2 = 1.
if (hc5>= 98) wallbam2 = 9.
variable label wallbam2 'Principal matriau des murs : Banco ou terre battue'.
value label wallbam2 1 'Banco ou terre battue' 9 'Manquant'.
missing values wallbam2 (9).

compute wallbam3 = 0.
if (hc5=25 or hc5=26 or hc5=38) wallbam3 = 1.
if (hc5>= 98) wallbam3 = 9.
variable label wallbam3 'Principal matriau des murs : Carton/Planche_Bois de rcupration/Tle' .
value label wallbam3 1 'Carton/Planche_Bois de rcupration/Tle' 9 'Manquant'.
missing values wallbam3 (9).

compute wallbrk = 0.
if (hc5=32) wallbrk = 1.
if (hc5>= 98) wallbrk = 9.
variable label wallbrk 'Principal matriau des murs : Pierre avec chaux/ciment'.
value label wallbrk 1 'Pierre avec chaux/ciment' 9 'Manquant'.
missing values wallbrk (9).

compute wallbrk2 = 0.
if (hc5= 33) wallbrk2 = 1.
if (hc5>= 98) wallbrk2 = 9.
variable label wallbrk2 'Principal matriau des murs : Dur/Brique'.
value label wallbrk2 1 'Dur/Brique' 9 'Manquant'.
missing values wallbrk2 (9).

compute walladob = 0.
if (hc5= 35) walladob = 1.
if (hc5>= 98) walladob = 9.
variable label walladob 'Principal matriau des murs : Semi-dur'.
value label walladob 1 'Semi-dur' 9 'Manquant'.
missing values walladob (9).

compute wall2 = 0.
if (hc5= 36) wall2 = 1.
if (hc5>= 98) wall2 = 9.
variable label wall2 'Principal matriau des murs : Planches de bois'.
value label wall2 1 'Planches de bois' 9 'Manquant'.
missing values wall2 (9).

compute wall3 = 0.
if (hc5=37) wall3 = 1.
if (hc5>= 98) wall3 = 9.
variable label wall3 'Principal matriau des murs : Gobton'.
value label wall3 1 'Gobton' 9 'Manquant'.
missing values wall3 (9).

* type of cooking fuel.

compute fuelgas = 0.
if (hc6= 01 or hc6=03) fuelgas = 1.
if (hc6>= 98) fuelgas = 9.
variable label fuelgas "Type de combustible utilis pour la cuisine : Gaz, lectricit".
value label fuelgas 0 'Non' 1 'Oui' 9 'Manquant'.
missing values fuelgas (9).

compute fuelchar = 0.
if (hc6= 07) fuelchar = 1.
if (hc6>= 98) fuelchar = 9.
variable label fuelchar 'Type de combustible utilis pour la cuisine : Charbon'.
value label fuelchar 0 'Non' 1 'Oui' 9 'Manquant'.
missing values fuelchar (9).

compute fuelwood = 0.
if (hc6 = 08 or hc6=09) fuelwood = 1.
if (hc6>= 98) fuelwood = 9.
variable label fuelwood 'Type de combustible utilis pour la cuisine : Bois'.
value label fuelwood 0 'Non' 1 'Oui' 9 'Manquant'.
missing values fuelwood (9).

* other household assets.

compute elec = 0.
if (hc9a = 1) elec = 1.
if (hc9a = 9) elec = 9.
variable label elec "Dans votre mnage, avez-vous l'lectricit ?".
value label elec 0 'Non' 1 'Oui' 9 'Manquant'.
missing values elec (9).

compute radio = 0.
if (hc9b = 1) radio = 1.
if (hc9b = 9) radio = 9.
variable label radio 'Dans votre mnage, avez-vous la radio ?'.
value label radio 0 'Non' 1 'Oui' 9 'Manquant'.
missing values radio (9).

compute tv = 0.
if (hc9c = 1) tv = 1.
if (hc9c = 9) tv = 9.
variable label tv 'Dans votre mnage, avez-vous la tlvision ?'.
value label tv 0 'Non' 1 'Oui' 9 'Manquant'.
missing values tv (9).

compute mobile = 0.
if (hc9d = 1) mobile = 1.
if (hc9d = 9) mobile = 9.
variable label mobile 'Dans votre mnage, avez-vous le tlphone mobile ?'.
value label mobile 0 'Non' 1 'Oui' 9 'Manquant'.
missing values mobile (9).

compute phone = 0.
if (hc9e = 1) phone = 1.
if (hc9e = 9) phone = 9.
variable label phone 'Dans votre mnage, avez-vous le tlphone fixe ?'.
value label phone 0 'Non' 1 'Oui' 9 'Manquant'.
missing values phone (9).

compute fridge = 0.
if (hc9f = 1) fridge = 1.
if (hc9f = 9) fridge = 9.
variable label fridge 'Dans votre mnage, avez-vous le rfrigrateur ?'.
value label fridge 0 'Non' 1 'Oui' 9 'Manquant'.
missing values fridge (9).

compute fridge2 = 0.
if (hc9g = 1) fridge2= 1.
if (hc9g = 9) fridge2= 9.
variable label fridge2 "Dans votre mnage, avez-vous l'ordinateur ?".
value label fridge2 0 'Non' 1 'Oui' 9 'Manquant'.
missing values fridge2 (9).

compute fridge3 = 0.
if (hc9h = 1) fridge3= 1.
if (hc9h = 9) fridge3= 9.
variable label fridge3 'Dans votre mnage, avez-vous le lecteur VCD/DVD ?'.
value label fridge3 0 'Non' 1 'Oui' 9 'Manquant'.
missing values fridge3 (9).

compute fridge4 = 0.
if (hc9i = 1) fridge4= 1.
if (hc9i = 9) fridge4= 9.
variable label fridge4 'Dans votre mnage, avez-vous la machine  laver ?'.
value label fridge4 0 'Non' 1 'Oui' 9 'Manquant'.
missing values fridge4 (9).

* Other household assets 2.

compute watch = 0.
if (hc10a = 1) watch = 1.
if (hc10a = 9) watch = 9.
variable label watch 'Biens des membres de mnage : montre'.
value label watch 0 'Non' 1 'Oui' 9 'Manquant'.
missing values watch (9).

compute bike = 0.
if (hc10b = 1) bike = 1.
if (hc10b = 9) bike = 9.
variable label bike 'Biens des membres de mnage : bicyclette'.
value label bike 0 'Non' 1 'Oui' 9 'Manquant'.
missing values bike (9).

compute moto = 0.
if (hc10c = 1) moto = 1.
if (hc10c = 9) moto = 9.
variable label moto "Biens des membres de mnage : motocyclette/scooter".
value label moto 0 'Non' 1 'Oui' 9 'Manquant'.
missing values moto (9).

compute cart = 0.
if (hc10d = 1) cart = 1.
if (hc10d = 9) cart = 9.
variable label cart 'Biens des membres de mnage : charrette avec animal'.
value label cart 0 'Non' 1 'Oui' 9 'Manquant'.
missing values cart (9).

compute car = 0.
if (hc10e = 1) car = 1.
if (hc10e = 9) car = 9.
variable label car "Biens des membres de mnage : voiture/camion".
value label car 0 'Non' 1 'Oui' 9 'Manquant'.
missing values car (9).

compute boat = 0.
if (hc10f = 1) boat = 1.
if (hc10f = 9) boat = 9.
variable label boat 'Biens des membres de mnage : bateau  moteur'.
value label boat 0 'Non' 1 'Oui' 9 'Manquant'.
missing values boat (9).

compute pyrog = 0.
if (hc10g = 1) pyrog = 1.
if (hc10g = 9) pyrog = 9.
variable label pyrog 'Biens des membres de mnage : Pyrogue'.
value label pyrog 0 'Non' 1 'Oui' 9 'Manquant'.
missing values pyrog (9).

compute Tricyl = 0.
if (hc10h = 1) Tricyl = 1.
if (hc10h = 9) Tricyl = 9.
variable label Tricyl 'Biens des membres de mnage : Tricycle'.
value label Tricyl 0 'Non' 1 'Oui' 9 'Manquant'.
missing values Tricyl (9).

compute Motocul = 0.
if (hc10h = 1) Motocul = 1.
if (hc10h = 9) Motocul = 9.
variable label Motocul 'Biens des membres de mnage : Motoculteur'.
value label Motocul 0 'Non' 1 'Oui' 9 'Manquant'.
missing values Motocul (9).

recode hc14a (0 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into cattle.
variable label cattle 'Biens des membres de mnage : boeufs'.
value label cattle 99 'Manquant'.
missing values cattle (99).

recode hc14b (0 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into bull.
variable label bull 'Biens des membres de mnage : vaches laitires ou taureaux'.
value label bull 99 'Manquant'.
missing values bull (99).

recode hc14c (1 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into horse.
variable label horse 'Biens des membres de mnage : chevaux, nes ou mules'.
value label horse 99 'Manquant'.
missing values horse (99).

recode hc14d (1 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into goat.
variable label goat "Biens des membres de mnage : chvres/cabris".
value label goat 99 'Manquant'.
missing values goat (99).

recode hc14e (1 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into sheep.
variable label sheep 'Biens des membres de mnage : moutons'.
value label sheep 99 'Manquant'.
missing values sheep (99).

recode hc14f (1 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into chicken.
variable label chicken "Biens des membres de mnage : poulets/pintades".
value label chicken 99 'Manquant'.
missing values chicken (99).

* source of drinking water.

compute watpdw = 0.
if (ws1 = 11) watpdw = 1.
if (ws1 >= 98) watpdw = 9.
variable label watpdw "Principale source d'eau que boivent les membres du mnage : Eau du robinet".
value label watpdw 0 "Pas d'eau dans le logement" 1 "Dans le logement" 9 "Manquant".
missing values watpdw (9).

compute watpyd = 0.
if (ws1 = 12) watpyd = 1.
if (ws1 >= 98) watpyd = 9.
variable label watpyd "Principale source d'eau que boivent les membres du mnage : Eau du robinet".
value label watpyd 0 "Pas d'eau dans la cour/parcelle" 1 "Dans la cour/parcelle" 9 "Manquant".
missing values watpyd (9).

compute watptap = 0.
if (ws1 = 13) watptap = 1.
if (ws1 >= 98) watptap = 9.
variable label watptap "Principale source d'eau que boivent les membres du mnage : Eau du robinet".
value label watptap 0 "Pas de robinet public/borne fontaine" 1 "Robinet public/borne fontaine" 9 "Manquant".
missing values watptap (9).

compute watbore = 0.
if (ws1 = 21) watbore = 1.
if (ws1 >= 98) watbore = 9.
variable label watbore "Principale source d'eau que boivent les membres du mnage : Eau du robinet".
value label watbore 0 "Pas de puits  pompe/forage" 1 "Puits  pompe/forage" 9 "Manquant".
missing values watbore (9).

compute watpwell = 0.
if (ws1 = 31) watpwell = 1.
if (ws1 >= 98) watpwell = 9.
variable label watpwell "Principale source d'eau que boivent les membres du mnage : Puits protg".
value label watpwell 1 "Puits protg" 9 "Manquant".
missing values watpwell (9).

compute watpwel2 = 0.
if (ws1 = 41) watpwel2 = 1.
if (ws1 >= 98) watpwel2 = 9.
variable label watpwel2 "Principale source d'eau que boivent les membres du mnage : Source amnage".
value label watpwel2 1 "Source amnage" 9 "Manquant".
missing values watpwel2 (9).

compute watpwel3 = 0.
if (ws1 = 61) watpwel3 = 1.
if (ws1 >= 98) watpwel3 = 9.
variable label watpwel3 "Principale source d'eau que boivent les membres du mnage : Camion citerne/Vendeur d'eau".
value label watpwel3 1 "Camion citerne/Vendeur d'eau" 9 "Manquant".
missing values watpwel3 (9).

compute watuwell = 0.
if (ws1 = 32) watuwell = 1.
if (ws1 >= 98) watuwell = 9.
variable label watuwell "Principale source d'eau que boivent les membres du mnage : Puits non protg".
value label watuwell 1 "Puits non protg" 9 "Manquant".
missing values watuwell (9).

compute watuwel2 = 0.
if (ws1 = 42) watuwel2 = 1.
if (ws1 >= 98) watuwel2 = 9.
variable label watuwel2 "Principale source d'eau que boivent les membres du mnage : Source non amnage".
value label watuwel2 1 "Source non amnage" 9 "Manquant".
missing values watuwel2 (9).

compute watuwel3 = 0.
if (ws1=81 ) watuwel3 = 1.
if (ws1 >= 98) watuwel3 = 9.
variable label watuwel3 "Principale source d'eau que boivent les membres du mnage :Eau de surface".
value label watuwel3 1 "Eau de surface" 9 "Manquant".
missing values watuwel3 (9).

* type of sanitary facility.

compute sanfsew = 0.
if (ws7 = 11) sanfsew = 1.
if (ws7 >= 98) sanfsew = 9.
variable label sanfsew "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sanfsew 0 "Pas de chasse branche  l'gout" 1 "Chasse branche  l'gout" 9 "Manquant".
missing values sanfsew (9).

compute sanfsep = 0.
if (ws7=12) sanfsep = 1.
if (ws7 >= 98) sanfsep = 9.
variable label sanfsep "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sanfsep 0 "Pas de chasse branche  l'gout/fosse septique" 1 "Chasse branche  l'gout/fosse septique" 9 "Manquant".
missing values sanfsep (9).

compute sanfpit = 0.
if (ws7 = 13 ) sanfpit = 1.
if (ws7 >= 98) sanfpit = 9.
variable label sanfpit "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sanfpit 0 "Pas de chasse branche  puits perdu_Latrines ventiles" 1 "Chasse branche  puits perdu_Latrines amliores ventiles" 9 "Manquant".
missing values sanfpit (9).

compute sanfelse = 0.
if (ws7 = 14) sanfelse = 1.
if (ws7 >= 98) sanfelse = 9.
variable label sanfelse "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sanfelse 0 "Pas de chasse branche  autre chose" 1 "Chasse branche  autre chose" 9 "Manquant".
missing values sanfelse (9).

*compute sanfdk = 0.
*if (ws7 = 15) sanfdk = 1.
*if (ws7 >= 98) sanfdk = 9.
*variable label sanfdk "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
*value label sanfdk 0 "Pas sr/Nsp o" 1 "Sr/Nsp o" 9 "Manquant".
*missing values sanfdk (9).

compute sanvip = 0.
if (ws7 = 21) sanvip = 1.
if (ws7 >= 98) sanvip = 9.
variable label sanvip "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sanvip 0 "Pas de latrines amliores ventiles" 1 "Latrines amliores ventiles" 9 "Manquant".
missing values sanvip (9).

compute sanpitsl = 0.
if (ws7 = 22) sanpitsl = 1.
if (ws7 >= 98) sanpitsl = 9.
variable label sanpitsl "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sanpitsl 0 "Pas de latrines traditionneles" 1 "Latrines traditionneles" 9 "Manquant".
missing values sanpitsl (9).

compute sanpit = 0.
if (ws7 = 23 or ws7=41) sanpit = 1.
if (ws7 >= 98) sanpit = 9.
variable label sanpit "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sanpit 0 "Pas de latrines  trou ouvert_Sceaux/tinettes" 1 "Latrines  trou ouvert_Sceaux/tinettes" 9 "Manquant".
missing values sanpit (9).

*compute sancomp = 0.
*if (ws7 = 31) sancomp = 1.
*if (ws7 >= 98) sancomp = 9.
*variable label sancomp "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
*value label sancomp 0 "Pas de toilettes  compostage" 1 "Toilettes  compostage" 9 "Manquant".
*missing values sancomp (9).

*compute sanbuck = 0.
*if (ws7 = 41) sanbuck = 1.
*if (ws7 >= 98) sanbuck = 9.
*variable label sanbuck "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
*value label sanbuck 0 "Pas de sceaux/tinettes" 1 "Sceaux/tinettes" 9 "Manquant".
*missing values sanbuck (9).

*compute sanhang = 0.
*if (ws7 = 51) sanhang = 1.
*if (ws7 >= 98) sanhang = 9.
*variable label sanhang "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
*value label sanhang 0 "Pas de toilettes suspendues/latrines suspendues" 1 "Toilettes suspendues/latrines suspendues" 9 "Manquant".
*missing values sanhang (9).

compute sannone = 0.
if (ws7 = 95 ) sannone = 1.
if (ws7 >= 98) sannone = 9.
variable label sannone "Type de toilettes qu'utilisent les membres du mnage : Chasse d'eau/chasse manuelle".
value label sannone 0 "Aucune toilettes/dans la nature_Autre" 1 "Pas de toilettes/dans la nature_Autre" 9 "Manquant".
missing values sannone (9).

factor
  /variables
             persroom
             flres flrcer flrcem flrtap
             rooflf rooflf2 rooflf3 rooflf4 rooflf5 rooflf6 roofmetl 
             wallbam wallbam2 wallbam3 wallbrk wallbrk2 walladob wall2 wall3  
             fuelgas fuelchar fuelwood 
             elec radio tv mobile phone fridge fridge2 fridge3 fridge4
             watch bike moto cart car boat pyrog Tricyl motocul
             watpdw watpyd watptap watpwell watpwel2 watpwel3 watuwell watuwel2 watuwel3
             sanfsew sanfsep sanfpit sanfelse sanvip
             sanpitsl sanpit sannone
  /missing meansub
  /analysis
             persroom
             flres flrcer flrcem flrtap
             rooflf rooflf2 rooflf3 rooflf4 rooflf5 rooflf6 roofmetl 
             wallbam wallbam2 wallbam3 wallbrk wallbrk2 walladob wall2 wall3  
             fuelgas fuelchar fuelwood 
             elec radio tv mobile phone fridge fridge2 fridge3 fridge4
             watch bike moto cart car boat pyrog Tricyl motocul
             watpdw watpyd watptap watpwell watpwel2 watpwel3 watuwell watuwel2 watuwel3
             sanfsew sanfsep sanfpit sanfelse sanvip
            sanpitsl sanpit sannone
  /print univariate initial extraction fscore
  /criteria factors(1) iterate(25)
  /extraction pc
  /rotation norotate
  /save reg(all)
  /method=correlation.

compute hhmemwt = hh11*hhweight.
weight by hhmemwt.
variable labels hhmemwt 'HH members weight for Index'.

rank
  variables = fac1_1 (A)
  /ntiles (5)
  /print = yes
  /ties = mean.

variable label fac1_1 "Score de bien tre conomique du mnage".
format fac1_1 (f9.5).
variable label nfac1_1 "Quintiles de bien tre conomique du mnage".
value label nfac1_1
	1 'Le plus pauvre'
	2 'Second'
	3 'Moyen'
	4 'Quatrime'
	5 'Le plus riche'.
format nfac1_1 (f1.0).

frequencies
  variables = fac1_1
  /ntiles = 5
  /statistics = stddev minimum maximum mean median
  /order = analysis.

weight off.

delete var wlthscor wlthind5.


save outfile = 'wealth.sav'
 /rename (fac1_1 = wlthscor) (nfac1_1 = wlthind5)
 /keep HH1 HH2 wlthscor wlthind5.

*new file.

